---
Title: Compliance Suites
Url: about/compliance-suites
Save_as: about/compliance-suites.html
Parent_id: about
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: about
Content_layout: multiple-columns
---

## <a name="about" href="#about">About</a>
There is a growing number of XMPP Extension Protocols (XEPs) that provide different building blocks for XMPP-based applications. XMPP software developers are confronted with the challenge of finding the right combination of XEPs for a given application profile. Users need a way to compare applications without resorting to comparing for individual XEP numbers.

Compliance Suites define XMPP application **Categories** based on typical use cases (*Core*, *Web*, *IM*, *Mobile*) and **Levels** (*Core*, *Advanced*) based on functionality in the respective category. For each combination of those, the required XEPs are referenced. As the protocol landscape changes over time, Compliance Suites are updated roughly once a year.

For developers, Compliance Suites provide guidance on which specifications they need to consider when implementing an application of a certain kind. By completing a compliance test or performing a self-assessment, they can advertise their implementation as compliant with a given **Category** and **Level**.

For users, Compliance Suites provide an easy way to compare implementations based on their respective advertised compliance levels and year.

## <a name="current" href="#current">Current Compliance Suites</a>
The 2021 specification for Compliance Suites can be found at [XEP-0443: XMPP Compliance Suites 2021](https://xmpp.org/extensions/xep-0443.html)
