---
Title: History of XMPP
Url: about/history
Save_as: about/history.html
Parent_id: about
Sidebar_menu_show: true
Inherit_sidebar: about
Content_layout: multiple-columns
---

## 1999
- __January:__ Jeremie Miller announces the existence of Jabber; an open technology for instant messaging and presence. Throughout the year development moves quickly on an open source server (jabberd), several open-source clients and code libraries, and open wire protocols for real-time XML streaming; as well as basic instant messaging and presence extensions. These same base protocols (with various improvements and extensions) are still in use today.
- __August:__ Jeremie submits a [statement](/about/the-jabber-project) pledging the Jabber community’s support for the IETF standards process. This statement is consistent with the founding mission of the Jabber project: to foster freedom of conversation and support open standards and interoperability in real-time communications.

## 2000
- __February:__ The IETF publish work done by the Instant Messaging and Presence Protocol (IMPP) Working Group; in short, a model and set of requirements for instant messaging and presence systems.
- __May:__ Version 1.0 of the jabberd server is released and the base Jabber protocols (XML streaming, messaging, presence, contact lists, etc.) are stabilised.
- __October:__ jabberd 1.2 is released and the server dialback protocol introduced to prevent address spoofing on the rapidly growing network of Jabber servers.

## 2001
- __August:__ The Jabber Software Foundation (JSF) is formed to coordinate the growing number of open source projects and commercial entities building/using the Jabber technologies. The key focus of the JSF is to manage the protocols used within the Jabber/XMPP community, by documenting existing protocols and developing protocol extensions through an open standards process.

## 2002
- __ February:__ The Jabber Software Foundation submits an [Internet-Draft documenting the Jabber protocols](https://datatracker.ietf.org/doc/html/draft-miller-jabber-00) to the Internet Engineering Task Force (IETF).
- __October:__ Formation of the XMPP Working Group is approved by the Internet Engineering Steering Group (IESG). As a result, JSF formally contributes the base Jabber protocols to the Internet Standards Process and assigns change control over those protocols to the IETF, under the name Extensible Messaging and Presence Protocol (XMPP).
- __November:__ First meeting of the XMPP Working Group is held at IETF 55 and includes presentations by Jeremie Miller, Joe Hildebrand, and Peter Saint-Andre.

## 2003
- XMPP Working Group essentially completes work on formalising the base Jabber protocols for adaptation, as IETF-approved instant messaging and presence protocols; later revisions made to the base protocols focus on improving security and internationalisation.
- Jabber Inc. submits an IPR Notice to the IETF regarding the JABBER trademark.

## 2004
- __October:__ The IETF publishes [RFC 3920](https://datatracker.ietf.org/doc/rfc3920/) and [RFC 3921](https://datatracker.ietf.org/doc/rfc3921/) defining the core functionality of XMPP as Proposed Standards.
- Upon publication of the XMPP RFCs, the IETF announces the conclusion of the XMPP Working Group. However, development of further XMPP extensions continues at the XSF.

## 2005
- __June-August:__ The JSF participates in the Google Summer of Code.
- __August:__ Implementation and deployment of large-scale XMPP-based services continues, highlighted by the launch of Google Talk.

## 2006
- __June-August:__ The JSF participates in the Google Summer of Code.
- __July:__ The first XMPP Summit was held in Portland, Oregon, USA.
- __October:__ The JSF renames “Jabber Enhancement Proposals” (JEPs) to “XMPP Extension Protocols” (XEPs) and moves them to the xmpp.org website.
- __December:__ The JSF enters into a partnership with StartCom, to offer free digital certificates to administrators of Jabber/XMPP servers through the XMPP Intermediate Certification Authority.

## 2007
- __January:__ Jabber Software Foundation renames itself to XMPP Standards Foundation to more accurately describe its focus on developing open protocol extensions to the IETF’s base XMPP specifications, rather than open-source software.
- __February:__ The XSF holds the second XMPP Summit in Brussels, Belgium.
- __June-August:__ The XSF participates in the Google Summer of Code.
- __July:__ The XSF holds the third XMPP Summit in Portland, Oregon, USA.

## 2008
- __February:__ The XSF holds the fourth XMPP Summit in Brussels, Belgium.
- __June-August:__ The XSF participates in the Google Summer of Code.
- __July:__ The XSF holds the fifth XMPP Summit in Portland, Oregon, USA.

## 2009
- __February:__ The XSF holds the sixth XMPP Summit in Brussels, Belgium.
- __July:__ The XSF holds the seventh XMPP Summit in San Jose, California, USA.

## 2010
- __February:__ The XSF holds the eighth XMPP Summit in Brussels, Belgium.
- __July:__ The XSF holds the ninth XMPP Summit in Portland, Oregon, USA.

## 2011
- __February:__ The XSF holds the tenth XMPP Summit in Brussels, co-located with an interim meeting of the IETF’s XMPP Working Group, with a special focus on internationalization.
- __March:__ The IETF publishes [RFC 6120](https://datatracker.ietf.org/doc/rfc6120/) and [RFC 6121](https://datatracker.ietf.org/doc/rfc6121/) updating the core definition of XMPP.
- __June-August:__ The XSF participates in the Google Summer of Code.

## 2012
- __February:__ The XSF holds the eleventh XMPP Summit in Brussels, Belgium.
- __February:__ The XSF completes significant revisions to the XMPP multi-user chat extension (XEP-0045).
- __June-August:__ The XSF participates in the Google Summer of Code.
- __October:__ The XSF holds the twelfth XMPP Summit in Portland, Oregon, USA.

## 2013
- __January:__ The XSF holds the thirteenth XMPP Summit in Brussels, Belgium.
- __October:__ The XSF holds the fourteenth XMPP Summit in Portland, Oregon, USA.

## 2014
- __January:__ The XSF holds the fifteenth XMPP Summit in Brussels, Belgium.
- __May:__ Operators of servers on the public XMPP network permanently upgrade to encrypted communications.
- __September:__ The XSF holds the sixteenth XMPP Summit in Berlin, Germany.
- __October:__ The IETF publishes [RFC 7395](https://datatracker.ietf.org/doc/rfc7395/) defining XMPP over WebSocket.

## 2015
- __February:__ The XSF holds the seventeenth XMPP Summit in Brussels, Belgium.
- __June:__ The IETF publishes [RFC 7590](https://datatracker.ietf.org/doc/rfc7590/) updating the use of Transport Layer Security (TLS) in XMPP.
- __June-August:__ The XSF participates in the Google Summer of Code.
- __September:__ The IETF publishes [RFC 7622](https://datatracker.ietf.org/doc/rfc7622/) modernizing the definition of XMPP addresses.
- __October:__ The XSF holds the eighteenth XMPP Summit in Richland, Washington, USA.

## 2016
- __February:__ The XSF holds the nineteenth XMPP Summit in Brussels, Belgium.
- __May:__ The XSF holds the twentieth XMPP Summit in Austin, Texas, USA, and host a booth at PyCon 2016 in Portland, Oregon, USA.
- __November:__ The XSF accepted a Special Interest Group on IoT.

## 2017
- __February:__ The XSF holds the twenty first XMPP Summit in Brussels, Belgium.

## 2018
- __February:__ The XSF holds the twenty second XMPP Summit in Brussels, Belgium.

## 2019
- __February:__ The XSF holds the twenty third XMPP Summit in Brussels, Belgium.

## 2020
- __February:__ The XSF holds the twenty fourth XMPP Summit in Brussels, Belgium.
