---
Title: XMPP Standards Foundation (XSF)
Url: about/xmpp-standards-foundation
Save_as: about/xmpp-standards-foundation.html
Parent_id: about
Sidebar_menu_show: true
Sidebar_menu_title: About the XSF
Sidebar_menu_size: 8
Sidebar_menu_elem_name_1: The XSF
Sidebar_menu_elem_url_1: about/xmpp-standards-foundation
Sidebar_menu_elem_name_2: Bylaws
Sidebar_menu_elem_url_2: about/xsf/bylaws
Sidebar_menu_elem_name_3: Mission Statement
Sidebar_menu_elem_url_3: about/xsf/mission
Sidebar_menu_elem_name_4: Members
Sidebar_menu_elem_url_4: about/xsf/members
Sidebar_menu_elem_name_5: Editor Team
Sidebar_menu_elem_url_5: about/xsf/editor-team
Sidebar_menu_elem_name_6: Infrastructure Team
Sidebar_menu_elem_url_6: about/xsf/infrastructure-team
Sidebar_menu_elem_name_7: Summits, Conferences & Meetups Team
Sidebar_menu_elem_url_7: about/xsf/scam-team
Sidebar_menu_elem_name_8: Communication Team
Sidebar_menu_elem_url_8: about/xsf/comm-team
Content_layout: multiple-columns
---

The XMPP Standards Foundation (also known as the XSF and formerly the Jabber Software Foundation) is an independent, nonprofit standards development organisation whose [primary mission is to define open protocols](/about/xsf/mission) for presence, instant messaging, and real-time communication and collaboration on top of the IETF’s Extensible Messaging and Presence Protocol (XMPP).

The XSF also provides information and infrastructure to the worldwide community of Jabber/XMPP developers, service providers, and end users. In addition, the XSF administers the [Jabber Trademark Licensing Program](/about/xsf/jabber-trademark).

At the core of the XSF is its elected Membership who, in turn, elect a Council (the technical leadership) and Board (the business leadership). The Board also appoints various work teams (such as the [editor team](/about/xsf/editor-team) and [infrastructure team](/about/xsf/infrastructure-team)) as well as the [Executive Director, Treasurer, and Secretary](/about/xsf/people).

If you have an interest in XMPP standards, it is straightforward to [become a Member of the XSF](/community/membership). (See a [list of XSF members here](/about/xsf/members))

## <a name="board" href="#board">The Board</a>

The Board of Directors of the XMPP Standards Foundation oversees the business affairs of the organisation. As elected by the XSF membership, the Board of Directors for 2020-2021 consists of the following individuals:

- __Arc Riley__ has been contributing to the free software community for over two decades, and maintains a large number of freely licensed XMPP packages. He lead for Python XML-SIG, mentor students working on XMPP-related projects and frequenly presents on XMPP (lightning talks, poster sessions, workshops, etc).
- __Dave Cridland__ works on [Metre](https://github.com/dwd/metre), and has worked on a number of different servers. He currently works on messaging at [Forward Health](https://forwardhealth.co/); you're welcome to chat via [XMPP](xmpp:dwd@dave.cridland.net).
- __Matthew Wild__ is a founder of the [Prosody XMPP server](http://prosody.im/) project and a number of [smaller XMPP projects](http://code.matthewwild.co.uk/). Matthew has been a member of the XMPP Council since 2009, has authored and co-authored various [XEPs](/extensions/) and helps maintain the [Jabber.org IM service](http://jabber.org/).
- __Ralph Meijer__ is the lead developer of several Jabber-related projects and services, including Wokkel and the XMPP support in Twisted, the Idavoll pubsub component, and Planet Jabber. Ralph has been member of the XMPP Council from 2004 to 2013 and Director since 2013. You can find him on [Twitter](http://twitter.com/ralphm) and chat with him on [XMPP](xmpp:ralphm@ik.nu)

Elected, but resigned from current term:

- __Severino Ferrer__ is a software developer and XSF member. He co-authored [XEP-0382](https://xmpp.org/extensions/xep-0382.html) and serves at the [XSF Communication Team](https://wiki.xmpp.org/web/CommTeam).

## <a name="council" href="#council">The Council</a>

The XMPP Council is the technical steering group that approves XMPP Extension Protocols. The Council is governed by the XSF Bylaws and XEP-0001, as augmented by various [policies and procedures](/about/xsf/council-policies-and-procedures).

The Council is elected by the members of the XMPP Standards Foundation. In the interest of transparency, chatroom logs and mailing list archives are available (anyone can subscribe to the mailing list, but only Council members can post). The Council meets once a week in a chatroom - anyone can join in, comments from the floor are welcome.

The Council (2019-2020) consists of the following individuals:

- __Kim Alvefur__ is a consultant mostly working on the [Prosody XMPP server](http://prosody.im/) project and other related projects.
- __Georg Lukas__ is a full-time [IT security consultant](https://rt-solutions.de/en/home-2/), a vocal advocate of [Easy XMPP](https://wiki.xmpp.org/web/Category:Easy_XMPP), the project janitor of [yaxim](https://yaxim.org) and the operator of the [public yax.im server](https://yaxim.org/yax.im/).
- __Dave Cridland__ works on [Metre](https://github.com/dwd/metre), and has worked on a number of different servers. He currently works on messaging at [Forward Health](https://forwardhealth.co/); you're welcome to chat via [XMPP](xmpp:dwd@dave.cridland.net).
- __Jonas Schäfer__ works on the [aioxmpp](https://github.com/horazont/aioxmpp) client library for Python, has a [FLOSS Qt based client in the making](https://github.com/jabbercat/jabbercat) and is in the [Editor Team](/about/xsf/editor-team). He also created and operates the [search.jabber.network MUC search service](https://search.jabber.network/).
- __Daniel Gultsch__ is the maintainer of the Android client [Conversations](https://conversations.im) and operates an [XMPP domain hosting service](https://account.conversations.im/domain). He has also (co-) created several XEPs. Contact information can be found on [his website](https://gultsch.de).
