---
Title: XSF Bylaws
Url: about/xsf/bylaws
Save_as: about/xsf/bylaws.html
Parent_id: about
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: about/xmpp-standards-foundation
Content_layout: multiple-columns
---

### ARTICLE I: Offices

__Section 1.1 Registered Office and Registered Agent.__ The address of the initial registered office of The XMPP Standards Foundation (the “Corporation”) in the State of Delaware and the name of the initial registered agent of the Corporation at such address are set forth in the Certificate of Incorporation (the “Certificate”). The Corporation may, from time to time, designate a different address as its registered office or a different person as its registered agent, or both; provided, however, that such designation shall become effective upon the filing of a statement of such change with the Secretary of State of the State of Delaware as is required by law.

__Section 1.2 Principal Office.__ The principal office of the Corporation shall be at 1899 Wynkoop Street, Denver, Colorado 80202, or at such other place as the Board of Directors shall designate from time to time. The business of the Corporation shall be transacted from the principal office, and the records of the Corporation shall be kept there.

__Section 1.3 Other Offices.__ The Corporation shall have such offices either within or outside the State of Delaware and within or outside the United States, as the Board of Directors may from time to time determine or as the business of the Corporation may require. In the event the Corporation desires to qualify to do business in one or more states other than Delaware, the Corporation shall designate the location of the registered office in each such state and designate the registered agent for service of process at such address in the manner provided by the law of the state in which the corporation elects to be qualified.

### ARTICLE II: Members

__Section 2.1 Admission of Members.__ The initial Members of the Corporation shall be admitted upon the affirmative vote of the Board of Directors of the Corporation at the initial meeting of the Board of Directors. Thereafter, to be eligible for membership, a person, corporation, organization, or other entity must complete a written membership application in such form as shall be adopted by the Board of Directors from time to time. The substance of such membership application must be included in a notice to the Members of the meeting at which such membership application is considered. Members shall be admitted upon the affirmative vote of a majority of the Members of the Corporation voting. Applications from prospective new and returning members shall be accepted on a rolling basis and shall be considered at quarterly meetings of the Members in January, April, July, and October. Emeritus Members may request reinstatement as Members of the Corporation by completing and submitting a membership application to the Board of Directors which shall be considered in the same manner as an application for a new membership. An applicant for membership may not be admitted if, at the time of application or consideration, fifteen percent (15%) of the Members of the Corporation are employed by or represent the same corporation or organization as that corporation or organization which employs the applicant or is represented by the applicant.

__Section 2.2 Members.__ All Members of the Corporation shall have voting rights in accordance with Article III of these Bylaws. Dues, assessments and levies shall not be imposed on the Members of the Corporation as a condition of membership.

__Section 2.3 Emeritus Members.__ An Emeritus Member is a former Member whose membership has been suspended and converted to emeritus status, either voluntarily or by action of the Members. An Emeritus Member is not considered a Member of the Corporation for purposes of the General Corporation Law of the State of Delaware. Members may voluntarily convert their membership to Emeritus status at any time upon ten (10) days’ written, signed notice delivered to an officer of the Corporation. Upon an affirmative vote of two-thirds (2/3) of the Members of the Corporation, the membership of a Member shall be converted into an emeritus membership.

Upon the effective date of conversion of the membership of any Member to Emeritus status, all rights and obligations of such Member shall cease, including, but not limited to voting rights. Emeritus Members shall be entitled to attend (but not vote) at meetings of the Members, and the officers of the Corporation shall attempt, in good faith, to continue to deliver notices of meetings of the Members of the Corporation to such Emeritus Members. References in these Bylaws to a “Member” or to the “Members” of the Corporation shall not include any Emeritus Member unless explicitly provided otherwise. An Emeritus Member may apply for membership in the Corporation as set forth in Section 2.1 of these Bylaws.

__Section 2.4 Resignation.__ Members and Emeritus Members may resign as such by tendering such written resignation to an officer of the Corporation.

__Section 2.5 Removal by Members.__ A Member may be involuntarily removed from membership by an affirmative vote of two-thirds (2/3) of the Members of the Corporation.

__Section 2.6 Automatic Termination.__ Members may have their membership status automatically terminated and their names removed by the Secretary of the Corporation from all membership records of the Corporation if they fail to participate in three (3) consecutive meetings of the Members of the Corporation, held electronically or otherwise.

__Section 2.7 Effect of Resignation, Removal or Automatic Termination.__ All rights, including voting rights, if any, of a Member shall cease on the date of resignation, removal, or automatic termination of such Member. A former Member may reapply for membership in accordance with Section 2.1 of these Bylaws.

__Section 2.8 Affiliated Persons.__ The Board of Directors may, from time to time, establish classes of persons affiliated with the Corporation other than Members of the Corporation as defined in this Article II. Such persons shall not be considered Members of the Corporation within the meaning of the General Corporation Law of the State of Delaware, and shall have no vote on any matter before the Corporation. The Board may establish annual dues payable by persons associated or affiliated with the Corporation and such other rules pertaining to such persons as the Board may from time to time determine.

__Section 2.9 Terms of Membership.__ Membership in the Corporation shall be valid for a period of one (1) year, measured from the date of the Members’ meeting at which the member was admitted or last re-admitted. In order for an individual’s membership not to lapse after 12 months, the member must (i) re-apply during the membership application period that begins 12 months after the application period during which the member last applied and (ii) be re-admitted in accordance with the procedures defined in Section 2.1. For the purposes of instituting this policy, members accepted in 2001 shall re-apply in July 2003 and members accepted in 2002 shall re-apply in October 2003; thereafter, members shall re-apply according to the 12-month rule (e.g., members accepted in January 2003 shall re-apply in January 2004).

### ARTICLE III: Meetings of Members

__Section 3.1 Place of Meetings.__ Meetings of the Members shall be held at the principal office of the Corporation or any other place (within or outside the State of Delaware and within or outside the United States) designated in the notice of the meeting or may be held by means of remote communication according to such procedures as are adopted by the Board of Directors from time to time. Subject to Board of Directors approval and compliance with applicable law, remote communication may include an electronic voting system, provided that the system verifies the identity of voters to the satisfaction of the Secretary.

__Section 3.2 Annual Meetings.__ A meeting of the Members shall be held annually at such time as the Board of Directors may determine, at which annual meeting the Members shall elect a Board of Directors and transact other proper business as may properly come before them.

__Section 3.3 Special Meetings.__ Special meetings of the Members shall be held when directed by the Chair of the Board of Directors, or when requested in writing by not less than ten percent (10%) of all members entitled to vote at the meeting. The call for the meeting shall be issued by the Secretary, unless the Chair, Board of Directors or Members requesting the meeting shall designate another person to do so.

__Section 3.4 Notice.__ Written notice stating the place, if any, and the means of remote communication by which Members may participate, and the date and hour of the meeting, shall be given not less than ten (10) nor more than sixty (60) days before the date of the meeting by or at the direction of the officer or persons calling the meeting, to each Member of record entitled to vote at such meeting. Notice shall be delivered personally, sent by telecopier or facsimile machine, mailed, or sent via electronic transmission, if the Member has consented to receipt of notices via electronic transmission.

__Section 3.5 Notice of Adjourned Meetings.__ When a meeting is adjourned to another time or place, the Corporation shall not be required to give any notice of the adjourned meeting if the time and place, if any, and the means of remote communication for the adjourning meeting are announced at the meeting at which the adjournment is taken. At the adjourned meeting, any business may be transacted that might have been transacted at the original meeting. If, however, the adjournment is for more than thirty (30) days, or if after the adjournment the Board of Directors fixes a new record date for the adjourned meeting, a notice of the adjourned meeting shall be given as provided in Section 3.5 above, to each Member of record on the new record date entitled to vote at such meeting.

__Section 3.6 Waiver of Notice.__ Whenever notice is required to be given to any Member, a waiver thereof in writing, signed by the person or persons entitled to such notice, whether before or after the time stated therein, shall be the equivalent to the giving of such notice. Attendance by a person at a meeting including participation by remote communications shall constitute a waiver of notice of such meeting, except when the person attends a meeting or participates by remote communication for the express purpose of objecting, at the beginning of the meeting, to the transaction of business because the meeting is not lawfully called or convened. Neither the business to be transacted at, nor the purpose of any meeting of the Members need be specified in the written waiver of notice.

__Section 3.7 Record Date.__ For the purpose of determining Members entitled to notice of and to vote at any meeting of Members or any adjournment thereof, or in order to make a determination of Members or for any other proper purpose, the Board of Directors of the Corporation may, but need not, fix a date as the record date for any such determination of Members, which record date, however shall in no event be more than sixty (60) days prior to any such intended action or meeting.

__Section 3.8 Member Quorum.__ Except as otherwise required by law, by the Certificate of Incorporation or by these Bylaws, one-third (1/3) of the Members entitled to vote, represented in person or proxy, including through remote communication, shall constitute a quorum at a meeting of Members. If a quorum is present, the affirmative vote of a majority of the Members represented at the meeting and entitled to vote on the subject matter shall be the act of the Members, unless the vote of a greater number is required by the General Corporation Law of the State of Delaware or by the Certificate of Incorporation or by these Bylaws. The Directors shall be elected by the affirmative vote of a plurality of the votes of the Members present in person or proxy, including through remote communication, at the meeting and entitled to vote on the election of Directors.

After a quorum has been established at a Members’ meeting, the subsequent withdrawal of Members, so as to reduce the number of Members in person or represented by proxy entitled to vote at the meeting below the number required for a quorum, shall not affect the validity of any action taken at the meeting or any adjournment thereof.

After a quorum has been established at a Members’ meeting, the subsequent admission of new Members, so as to increase the number of Members required for a quorum above the number of Members present in person or proxy, including through remote communication, entitled to vote at the meeting, shall not affect the validity of any action taken at the meeting or any adjournment thereof.

If a quorum is not represented at a meeting, the Members present shall constitute a quorum for the sole purpose of adjourning such meeting, and the majority of the Members so present may adjourn the meeting to such date, time and place as they shall announce at the time of adjournment. Any business that might have been transacted at the adjourned meeting if a quorum had been present, may be transacted at the meeting held pursuant to such an adjournment and at which a quorum shall be represented.

__Section 3.9 Voting.__ Each current Member of the Corporation (other than Emeritus Members) shall be entitled to one (1) vote on each matter submitted to a vote at a meeting of the Members, except as may otherwise be provided in the General Corporation Law of the State of Delaware.

A Member may vote either in person or by proxy executed in writing, including through remote communication, by the Member or his or her duly authorized attorney-in-fact. Subject to Board of Directors approval and compliance with applicable law, remote communication may include online text conferencing, provided that the conferencing system verifies the identity of participants to the satisfaction of the Secretary.

__Section 3.10 Proxies.__ Every Member entitled to vote at a meeting of Members or to express consent or dissent to corporate action in writing without a meeting, or a Member’s duly authorized attorney-in-fact, may authorize another person or persons to act for him/her by proxy.

Every proxy must be signed by the Member or his or her attorney-in-fact or authorized by electronic transmission. No proxy shall be valid after three (3) years from its date, unless otherwise provided in the proxy. All proxies shall be revocable.

__Section 3.11 Consent Action.__ Any action required to be taken or which may be taken at a meeting of Members of the Corporation, may be taken without a meeting, without prior notice and without a vote, if a written consent setting forth the action so taken shall be signed by Members having not less than the minimum number of votes that would be necessary to authorize or take such action at a meeting at which all Members entitled to vote thereon were present and voted; provided, however, that no written consent shall be effective unless such consent (i) bears the date of signature by each Member signing such consent and (ii) is delivered to the Corporation within sixty (60) days of the date on which the earliest consent was delivered to the Corporation. A facsimile signature or electronic transmission signature shall constitute a signature for these purposes, provided that the electronic transmission was transmitted by the Member or person authorized to act for the Member and the date of transmission is evident. Prompt notice of the taking of the corporate action without a meeting by less than unanimous written consent shall be given to those Members who have not consented in writing. Delivery of a consent shall be to the principal place of business of the Corporation or to an officer or agent of the Corporation and shall be personal, sent by facsimile, or mailed, first class, postage prepaid, or sent via electronic transmission bearing a date of transmission. The date of delivery for any consent delivered by facsimile or electronic transmission shall be determined by the method specified by resolution of the Board of Directors of the Corporation.

__Section 3.12 Matters Submitted to a Vote.__ Any matter that may properly come before the Members may be submitted to the Members for a vote at an annual or special meeting upon request signed or approved by not less than five percent (5%) of the Members of the Corporation.

__Section 3.13 Voting Procedure for Election of Board and Council.__ Election of individuals to serve on the Board of Directors and on the XMPP Council shall proceed as follows. First, the number of individuals to serve on each body shall be limited beforehand by the Members as specified in Section 4.4 and Section 8.1 of these Bylaws for the Board and Council, respectively. Second, the Members shall vote on the candidates standing for election in accordance with Section 3.9 of these Bylaws. Third, the individuals elected shall be those receiving the highest percentage of votes cast, up to the limit set by the Members and with the proviso that no individual receiving less than a majority of votes cast shall be elected. Fourth, in the case of a tie for the final remaining position, the final individual shall be chosen in accordance with the procedures defined in “RFC 3797: Publicly Verifiable Nominations Committee (NomCom) Random Selection” published by the Internet Engineering Task Force.

### ARTICLE IV: Board of Directors

__Section 4.1 General Powers.__ The business and affairs of the Corporation shall be managed by or under the direction of the Board of Directors, which may exercise all such powers of the Corporation and do all such lawful acts and things as are not by law, by the Certificate of Incorporation or by these Bylaws either prohibited or specifically reserved to the Members.

__Section 4.2 Qualifications.__ Directors may only be adult natural persons but need not be residents of Delaware or of the United States nor Members of the Corporation. Each Director shall demonstrate his or her willingness to accept responsibility for governance and his or her availability to participate actively in governance activities. Directors shall be selected to bring a variety of interests and expertise to the Corporation.

__Section 4.3 Compensation.__ Directors shall not receive any compensation for acting as such, but Directors shall be entitled to reasonable compensation for services rendered as an employee of the Corporation. The Corporation shall be entitled to purchase officers’ and directors’ liability insurance without violating these Bylaws.

__Section 4.4 Number.__ The Board of Directors of the Corporation shall be composed of not less than three (3) nor more than five (5) Directors as determined from time to time by a vote of the Members of the Corporation. No decrease in the number of Directors pursuant to this section shall effect the removal of any Director then in office.

__Section 4.5 Election and Term.__ At each annual meeting of Members, the Members shall elect Directors to hold office until the next succeeding annual meeting, in accordance with the procedure defined in Section 3.12 of these Bylaws. Each Director shall hold office for the term for which he or she is elected and until his or her successor shall have been elected and qualified or until his or her earlier resignation, removal or death.

__Section 4.6 Resignation and Removal of Directors.__ A Director may resign at any time upon providing written notice of such resignation to the Corporation. Any Director or the entire Board of Directors may be removed, with or without cause, by a vote of the majority of the Members entitled to vote for the election of Directors or as otherwise provided in the General Corporation Law of the State of Delaware.

__Section 4.7 Vacancies.__ Any vacancy occurring in the Board of Directors, including any vacancy created by reason of an increase in the authorized number of Directors, may be filled by the affirmative vote of a majority of the remaining Directors though less than a quorum of the Board of Directors or by a sole remaining Director. A Director elected to fill a vacancy shall hold office only until the next election of Directors by the Members.

### ARTICLE V: Meetings of the Board of Directors

__Section 5.1 Place of Meetings.__ The Board of Directors may hold its annual, regular and special meetings at such places, within or without the State of Delaware, as determined by the Chair of the Board of Directors or his or her designee. If no place is determined, the meeting shall be held at the Corporation’s principal place of business.

__Section 5.2 Annual Meetings.__ The Board of Directors shall hold an annual meeting at such time and place as the Board of Directors shall determine. At each annual meeting, the Board of Directors shall elect officers and shall conduct such other business as may properly come before it.

__Section 5.3 Regular Meetings.__ In addition to the annual meeting, the Board of Directors shall hold regular meetings according to a schedule established by the Board of Directors, but not less frequently than quarterly. At each regular meeting, the Board of Directors shall conduct such business as may properly come before the meeting.

__Section 5.4 Special Meetings.__ Special meetings of the Board of Directors may be called by: (a) Chief Executive Officer of the Corporation, (b) Chair of the Board of Directors, or (c) upon written request of any two (2) or more Directors of the Corporation. A person entitled to call a special meeting of the Board of Directors may make a written request to the Secretary to call the meeting. The Secretary shall give written notice of the meeting in the manner provided below, and the meeting shall be held between three (3) and fourteen (14) days after receipt of the request to call a special meeting. If the Secretary fails to give notice of the meeting within three (3) days from the day on which the request was received by the Secretary, the person or persons who requested the special meeting may fix the time and place of meeting, and give notice thereof. If no place is identified, the meeting shall be held at the Corporation’s principal place of business.

__Section 5.5 Notice of Meeting.__ Not less than ten (10) days’ written notice of the annual meeting of the Board of Directors, excluding the day of the meeting, shall be given to all Directors. Said notice shall include proposed agenda items, but the failure to include an agenda item in the notice shall not prevent action from being taken with respect to such item. Notice of a meeting at which an amendment to the Certificate of Incorporation of the Corporation will be proposed must contain the substance of the proposed amendment.

Not less than three (3) days’ written notice of a regular or special meeting of the Board of Directors, excluding the day of the meeting, shall be given to all Directors.

Notice shall be delivered personally, sent by telecopier or facsimile machine, or mailed, first class, postage prepaid, or sent via electronic transmission, if the Director has consented to receipt via electronic transmission. Whenever written notice to Directors provides less than five (5) days’ prior written notice of the meeting, excluding the date of the meeting, reasonable effort shall be made to notify Directors by telephone of the meeting at the time of giving written notice, but the failure to contact any Director(s) by telephone shall not affect the validity of the meeting or any action taken at such meeting.

__Section 5.6 Waiver of Notice.__ Any Director may waive notice of any meeting of the Board of Directors in writing before, at or after a meeting. The attendance of a Director at any meeting shall constitute a waiver of notice of such meeting, unless he or she objects at the beginning of the meeting to the transaction of business because the meeting is not lawfully called or convened and does not participate in the meeting, or objects before a vote on an item of business because the item may not be lawfully considered at that meeting and does not participate in the consideration of that item at the meeting. The waiver shall be filed with the person who has been designated to act as secretary of the meeting, who shall enter the waiver upon the records of the meeting.

__Section 5.7 Quorum and Voting.__ The presence of a majority of the Members of the Board of Directors shall constitute a quorum for the transaction of business at any meeting of the Board of Directors, but the Directors present at any meeting, although less than a quorum, may adjourn the meeting from time to time. If a quorum is present when a duly called or held meeting is convened, the Directors present may continue to transact business until adjournment, even though the withdrawal of Directors originally present leaves less than the proportion or number otherwise required for a quorum. At any meeting of the Board of Directors, each Director present at the meeting shall be entitled to cast one (1) vote on any question coming before the meeting. Except as otherwise provided in these Bylaws, a vote of the majority of the Directors present at a meeting in which a quorum is present shall be the act of the Board of Directors. If the Board consists of an even number of Directors, the Executive Director of the Corporation shall be empowered to cast a tie-breaking vote in any matter except selection of the Executive Director.

__Section 5.8 Action Without a Meeting.__ Any action required or permitted to be taken at a meeting of the Board of Directors or of any committee thereof may be taken without a meeting if all the members of the Board or committee, as the case may be, consent thereto in writing or by electronic transmission, and such writing or electronic transmission is filed with the minutes of the proceedings of the Board or committee. Such consent shall have the same effect as a unanimous vote of the Board or committee.

__Section 5.9 Meeting by Means of Electronic Communication.__ A conference among Directors by a means of communication through which the Directors may simultaneously hear each other during the conference constitutes a meeting of the Board of Directors if the same notice is given of the conference as would be required for a meeting, and if the number of Directors participating in the conference would be sufficient to constitute a quorum at the meeting. Participation in a meeting by this means is personal presence at the meeting. In addition, a Director may participate in a meeting of the Board of Directors by any means of communication through which the Director, other Directors participating and all Directors physically present at the meeting may simultaneously hear each other during the meeting.

__Section 5.10 Rules of Procedure.__ The Board of Directors may adopt or establish rules of procedure for conducting meetings provided such rules are not inconsistent with the Corporation’s Certificate of Incorporation, these Bylaws or Delaware law. In the absence of Board action, the Chair of the Board of Directors shall establish rules of procedure for conducting meetings provided such rules are not inconsistent with the Corporation’s Certificate of Incorporation, these Bylaws or Delaware law.

### ARTICLE VI: Officers

__Section 6.1 Number and Qualifications.__ The officers of the Corporation shall consist of the following: (a) a Chair, (b) an Executive Director, (c) a Secretary, and (d) a Treasurer. Officers must be natural persons that the Board of Directors elects or appoints. Officers need not be Directors of the Corporation and shall hold office at the discretion of the Board of Directors. Subject to these Bylaws, the Board of Directors may also elect or appoint one or more additional officers or assistant officers as it may deem convenient or necessary. Except as provided in these Bylaws, the Board of Directors shall fix the powers and duties of all officers.

__Section 6.2 Election and Term.__ The officers of the Corporation shall be appointed by the Board of Directors. Such appointment by the Board of Directors may be made at any regular or special meeting of the Board. Each officer shall hold office for a period of one year or until his or her successor is elected and qualified or until his or her earlier resignation or removal. An individual may hold more than one office of the Corporation at the same time.

__Section 6.3 Resignation, Removal and Vacancies.__ Any officer of the Corporation may resign at any time upon written notice to the Corporation. Any officer elected or appointed by the Board of Directors shall hold office at the pleasure of the Board of Directors and may be removed at any time, with or without cause, by a resolution approved by the affirmative vote of a majority of the Directors present. Any vacancy in an office of the Corporation shall be filled by action of the Board of Directors. The removal of any individual as an officer of the Corporation does not automatically affect such individual’s employee status with the Corporation.

__Section 6.4 Compensation.__ The compensation, if any, of all officers of the Corporation shall be fixed by the Board of Directors and may be changed from time to time by a majority vote of the Board of Directors. The fact that an officer is also a Director of the Corporation shall not preclude such person from receiving compensation as either a Director or officer, nor shall it affect the validity of any resolution by the Board of Directors fixing such compensation. The Executive Director shall have authority to fix the salaries, if any, of all employees of the Corporation, other than officers elected or appointed by the Board of Directors.

__Section 6.5 Chair of the Board.__ The Chair of the Board shall preside at all meetings of the Board of Directors and Members and shall have such other duties and authority as may be conferred by the Board of Directors.

__Section 6.6 Executive Director.__ Unless provided otherwise by a resolution adopted by the Board of Directors, the Executive Director shall be the Chief Executive Officer of the Corporation and shall have general and active management of the business and affairs of the Corporation, subject to the direction of the Board of Directors. In the absence of the Chair of the Board, the Executive Director shall preside at all meetings of the Board of Directors and Members. The Executive Director shall see that all orders and resolutions of the Board of Directors are carried into effect, shall sign and deliver in the name of the Corporation any deeds, mortgages, bonds, contracts, or other instruments pertaining to the business of the Corporation, except in cases in which the authority to sign and deliver is required by law to be exercised by another person or is expressly delegated by the Certificate of Incorporation, these Bylaws, or the Board of Directors to some other officer or agent of the Corporation, may maintain records of and certify proceedings of the Board of Directors, and shall perform such other duties as may from time to time be prescribed by the Board of Directors

__Section 6.7 Secretary.__ Unless provided otherwise by a resolution adopted by the Board of Directors, the Secretary shall keep accurate records of the acts and proceedings of all meetings of the Members and Directors. The Secretary shall give all notices required by law and by these Bylaws. He or she shall mail to all Directors within thirty (30) days after each meeting copies of all said actions and minutes of said proceedings. In addition, the Secretary shall have general charge of the corporate books and records and of the corporate seal, and he or she shall affix, or attest the affixing of, the corporate seal to any lawfully executed instrument requiring it. The Secretary shall have general charge of the membership records of the Corporation and shall keep, at the principal office of the Corporation, a record of the Members showing the name, address, telephone number, facsimile number and electronic mail address of each Member. The Secretary shall sign such instruments as may require his or her signature and, in general, shall perform all duties as may be assigned to him or her from time to time by the Chair, the Executive Director or the Board of Directors.

__Section 6.8 Treasurer.__ Unless provided otherwise by a resolution adopted by the Board of Directors, the Treasurer shall have custody of all corporate funds and financial records, shall keep full and accurate accounts of receipts and disbursements and render accounts thereof at the annual meetings of Members, and shall perform such other duties as may be prescribed by the Chair, the Executive Director or the Board of Directors.

### ARTICLE VII: Committees

__Section 7.1 Executive and Other Committees.__ The Board of Directors, by resolution adopted by the affirmative vote of the Directors in office, may designate one or more committees of the Board from among its members from time to time. Committee members must be Directors of the Corporation and shall at all times be subject to the direction and control of the Board of Directors. Each committee, to the extent provided in such authorizing resolution, shall have and may exercise all the power and authority of the Board of Directors in the management of the business and affairs of the Corporation, as limited by the laws of the State of Delaware.

The Board of Directors, by resolution adopted in accordance with this section, may designate one or more Directors as alternate members of any such committee, who may act in the place and stead of any absent or disqualified member or members at any meeting of such committee. In the absence or disqualification of any member of any such committee or committees, the member or members thereof present at any meeting and not disqualified from voting, whether or not they constitute a quorum, may unanimously appoint another member of the Board of Directors to act at the meeting in the place of any such absent or disqualified committee member.

The provisions of these Bylaws shall apply to committees established by the Board under this Section and members thereof to the same extent they apply to the Board of Directors and Directors, including, without limitation, the provisions with respect to meetings and notice thereof, absent members, written actions and valid acts. Each committee shall keep regular minutes of its proceedings and report the same to the Board.

__Section 7.2 Executive Committee.__ The Chair, the Executive Director and such other Directors, if any, elected by the Board of Directors by resolution shall constitute the Executive Committee of the Board of Directors of the Corporation. The Executive Committee shall act only during intervals between meetings of the Board of Directors and shall at all times be subject to the control and direction of the Board of Directors. During such intervals and subject to such control and direction, the Executive Committee shall have and may exercise all of the authority and powers of the Board of Directors in the management of the affairs of the Corporation, subject to such limitations as the Board of Directors may impose. The Executive Committee shall keep regular minutes of its proceedings and report the same to the Board of Directors.

__Section 7.3 Ex Officio Member.__ The Executive Director of the Corporation, or a representative appointed by the Executive Director, shall be an ex officio member, without voting rights, of each committee of the Corporation.

__Section 7.4 Compensation.__ The compensation, if any, of all members of each committee of the Corporation shall be fixed by the Board of Directors and may be changed from time to time by a majority vote of the Board of Directors.

### ARTICLE VIII: XMPP Council; Special Interest Groups; XSF Work Teams

__Section 8.1 XMPP Council.__ The Corporation shall have an advisory council (“XMPP Council”) to provide technical advice to the Corporation, to approve changes to the Jabber protocol, and to oversee and direct the activities of certain Special Interest Groups. In discharging its responsibilities, the XMPP Council shall adhere to the policies, procedures and standards approved by the Board of Directors.

At each annual meeting of Members, the Members shall elect individuals to serve on the XMPP Council until the next succeeding annual meeting, in accordance with the procedure defined in Section 3.12 of these Bylaws. The XMPP Council shall be composed of five (5) individuals. The individuals elected to the XMPP Council shall, by an affirmative majority vote of those present and voting, appoint the chair of such Council. All the individuals elected to participate on the XMPP Council must be Members of the Corporation.

If a Council member resigns his or her membership in the Corporation, is removed from membership in the Corporation, or is terminated from membership in the Corporation, he or she shall thereby relinquish all rights and responsibilities as a member of the Council. In addition, a Council member may be involuntarily removed from the Council by an affirmative vote of two-thirds (2/3) of the members of the Council. The Council shall at its discretion determine whether to fill any vacancies on the Council caused by resignation or removal of an existing Council member.

The XMPP Council shall not be considered a committee of the Board of Directors. The XMPP Council may not have and may not exercise any of the power and authority of the Board of Directors. The XMPP Council shall act upon the affirmative vote of a majority of the members of the Council voting, although the negative vote of any one member of the Council shall function as a veto. A quorum of the XMPP Council shall be a majority of the members of the Council. The provisions of these Bylaws with regard to meetings, notice, etc. that apply to Membership meetings shall apply to the XMPP Council and members thereof unless such provisions are inconsistent with this Article VIII. The XMPP Council shall keep regular minutes of its proceedings and report the same to the Board.

__Section 8.2 Special Interest Groups.__ The Board of Directors, the XMPP Council, or the Members of the Corporation may, by resolution, establish one or more Special Interest Groups (“SIGs”). A SIG is an open forum in which the Jabber community may discuss topics that are addressed officially by a XSF Work Team or the XMPP Council. While a Work Team or the XMPP Council may take account of SIG discussions when making decisions related to its responsibilities, it is under no obligation to do so, and a SIG does not act in an official advisory capacity to a Work Team or the Council. Because a SIG is an open forum, participation in a SIG shall not be limited to elected Members of the Corporation, and shall be open to any interested individual. Leadership and direction for a SIG shall be provided by the members (and in particular by the Chair) of the relevant XSF Work Team or the XMPP Council.

Unless elected or appointed as an officer in accordance with Article 6 of these Bylaws, a member of a SIG shall not be deemed an officer of the Corporation. Unless elected as a Member of the Corporation in accordance with Article 2 of these Bylaws, a member of a SIG shall not be deemed a Member of the Corporation.

The Board of Directors, the XMPP Council, or the Members of the Corporation may, by resolution, terminate a SIG at any time for any reason. A SIG shall not be considered a committee of the Board of Directors, of the XMPP Council, or of the Members of the Corporation. A SIG may not have and may not exercise any of the power and authority of the Board of Directors, the XMPP Council, an approved XSF Work Team, or the Members of the Corporation.

__Section 8.3 XSF Work Teams.__ The Board of Directors or the Members of the Corporation may, by resolution, establish one or more XSF Work Teams (“Teams”). Participation in Teams shall be limited to elected Members of the Corporation. The Board shall approve, or the Members shall elect, the chair of each such Team. Unless elected or appointed as an officer in accordance with Article 6 of these Bylaws, a member of a Team shall not be deemed an officer of the Corporation.

Each Team shall be responsible for the active management of one or more projects identified by resolution of the Board or of the Members of the Corporation as of importance to the affairs of the Corporation, or shall act in an advisory capacity to the Board or a Committee of the Board. The specific nature of the Team’s responsibilities shall be defined by a Team Charter, which must be approved by the Board. The Charter shall also define the process by which Team members shall be chosen or approved. The chair of each Team shall be primarily responsible for the advisory functions and work items of the Team, and the chair shall establish rules and procedures for the day-to-day management of the Team’s activities, consistent with the Team Charter. All Teams shall report to and be supervised by the Board of Directors, and Team budgets must be approved by the Board.

The Board of Directors or the Members of the Corporation may, by resolution, remove a Team chair or terminate a Team at any time for any reason. A Team shall not be considered a committee of the Board of Directors. A Team may not have and may not exercise any of the power and authority of the Board of Directors.

### ARTICLE IX: Books and Records

__Section 9.1 Books and Records.__ The Corporation shall keep at its registered office or principal office correct and complete copies of its Certificate of Incorporation and Bylaws, accounting records, voting agreements, and minutes of meetings of Members, Board of Directors, and committees having any of the authority of the Board of Directors for the last six (6) years. All such records shall be open to inspection upon the demand of any member of the Board of Directors of the Corporation. The Corporation shall keep at its registered office or principal place of business, or at the office of its transfer agent or registrar, a record of the name, address, telephone number, facsimile number and electronic mail address of each Member, together with the date of any withdrawal or termination of such Member’s membership, or any conversion of such Member’s membership to emeritus status.

Each Member shall be responsible for notifying the Corporation of changes to such Member’s address, telephone number, facsimile number or electronic mail address.

Any books, records and minutes may be in written form or in any other form capable of being converted into clearly legible written form within a reasonable time.

__Section 9.2 Members’ Inspection Rights.__ Any person who is a Member, upon written demand under oath stating the purpose thereof, shall have the right to examine, in person or by agent or attorney, at any time during the Corporation’s usual hours for business, for any proper purpose as determined under the General Corporation Law of the State of Delaware, the Corporation’s membership records and its other books and records and to make copies or extracts therefrom.

__Section 9.3 Counterpart Execution: Facsimile Execution.__ Any document requiring the signature of the Directors and/or Members may be executed in any number of counterparts with the same effect as if all of the required signatories had signed the same document. Such executions may be transmitted to the Corporation and/or the other Directors and/or Members by facsimile and such facsimile execution shall have the full force and effect of an original signature. All fully executed counterparts, whether original executions or facsimile executions or a combination, shall be construed together and shall constitute one and the same agreement.

### ARTICLE X: Fiscal Matters

__Section 10.1 Accounting Year.__ The accounting year of the Corporation shall be fixed by resolution of the Board of Directors.

__Section 10.2 Contracts.__ The Board of Directors may authorize such officer or officers, agent or agents, to enter into any contract or execute and deliver any instrument in the name of and on behalf of the Corporation, and such authority may be either general or confined to specific instances. Contracts and other instruments entered into in the ordinary course of business may be executed by the Executive Director or, in the absence of or pursuant to a delegation by the Executive Director, by such officer designated to act in the place of or in the absence of the Executive Director, without specific Board of Directors authorization.

__Section 10.3 Loans.__ No loans shall be contracted on behalf of the Corporation, and no evidence of indebtedness other than checks, drafts or other orders for payment of money issued in the ordinary course of business shall be issued in its name unless authorized by the Board of Directors of the Corporation. Such authorization and approval may be general or confined to specific instances.

__Section 10.4 Checks, Drafts, Etc.__ All checks, drafts or other orders for the payment of money issued in the name of the Corporation shall be signed by such officer or officers, agent or agents of the Corporation and in such manner as shall be determined by resolution of the Board of Directors, or by the Executive Director or Treasurer upon delegation by the Board of Directors.

__Section 10.5 Deposits.__ All funds of the Corporation not otherwise employed shall be deposited from time to time to the credit of the Corporation in such banks, trust companies or other depositories as the Board of Directors, or the Executive Director or Treasurer upon delegation by the Board of Directors may select.

__Section 10.6 Audit.__ The Board of Directors shall cause the books and records of account of the Corporation to be audited by certified public accountants, to be selected by the Board of Directors, at least once in each fiscal year and at such other times as it may deem necessary or appropriate.

__Section 10.7 Corporate Seal.__ The Corporation shall have no corporate seal.

### ARTICLE XI: Director Conflict of Interest

No contract or other transaction between the Corporation and one or more of its Directors or between the Corporation and any other corporation, partnership, association or other organization in which one or more of the Directors of the Corporation are directors or officers or are financially interested, shall be void or voidable solely because of such relationship or interest or solely because such Director or Directors are present at or participate in the meeting of the Board of Directors or a committee thereof which authorizes, approves or ratifies such contract or transaction or solely because his or her or their votes are counted for such purpose, if:

The material facts as to the Director’s relationship or interest and as to the contract or transaction are disclosed or are known to the Board of Directors or committee, and the Board of Directors or committee in good faith authorizes, approves or ratifies the contract or transaction by the affirmative votes of a majority of the disinterested Directors, even though the disinterested Directors be less than a quorum; or

The material facts as to their relationship or interest and as to the contract or transaction are disclosed or known to the Members entitled to vote thereon, and the contract or transaction is specifically approved in good faith by vote of such Members; or

The contract or transaction is fair as to the Corporation at the time it is authorized, approved or ratified by the Board of Directors, a committee of the Board of Directors or the Members.

Common or interested Directors may be counted in determining the presence of a quorum at a meeting of the Board of Directors or a committee thereof which authorizes, approves or ratifies such contract or transaction.

The Executive Director may develop, for Board of Directors’ approval, a conflict of interest policy that shall apply to all Directors, officers and committee members. Such policy shall require Directors, officers and committee members to annually acknowledge reviewing the conflicts of interest policy.

### ARTICLE XII: Indemnification of Officers and Directors

__Section 12.1 Right to Indemnification.__ Each person who was or is a party or is threatened to be made a party to any threatened, pending or completed action, suit, or proceeding, whether civil, criminal, administrative, or investigative (other than an action by or in the right of the Corporation), by reason of the fact that he or she is or was a Director, officer or Member of the Corporation, or is or was serving at the request of the Corporation as a Director, officer, employee, or agent of another corporation, partnership, joint venture, trust, or other enterprise, shall be entitled to indemnification against expenses (including attorneys’ fees), judgments, fines, and amounts paid in settlement to the fullest extent now or hereafter permitted by applicable law as long as such person acted in good faith and in a manner that such person reasonably believed to be in or not be opposed to the best interests of the Corporation; provided, however, that the Corporation shall indemnify any such person seeking indemnity in connection with an action, suit or proceeding (or part thereof) initiated by such person only if such action, suit or proceeding (or part thereof) was authorized by the Board of Directors.

Any indemnification, unless ordered by a court, shall be made by the Corporation only as authorized in the specific case upon a determination that indemnification of the present or former Director, officer, Member, employee or agent is proper in the circumstances because such person has met the applicable standard of conduct. Such determination shall be made, with respect to a person who is a Director or officer at the time of such determination, (1) by a majority vote of the directors who are not parties to such action, suit or proceeding, even though less than a quorum, or (2) by a committee of such directors designated by majority vote of such directors, even though less than a quorum; or (3) if there are no such directors, or if such directors so direct, by independent legal counsel in a written opinion; or (4) by the Members.

__Section 12.2 Advance Payment of Expenses.__ Expenses (including reasonable attorneys’ fees) incurred by any person who is or was an officer, Director or Member of the Corporation, or who is or was serving at the request of the Corporation as an officer or director of another corporation, partnership, joint venture, trust or other enterprise, in defending any civil, criminal, administrative or investigative action, suit or proceeding, may be paid by the Corporation in advance of the final disposition of such action, suit or proceeding upon such terms and conditions, if any, as the Board of Directors deems appropriate.

__Section 12.3 Rights Non-Exclusive.__ The indemnification and advancement of expenses provided by or granted pursuant to this Article shall not be deemed exclusive of any other rights to which those seeking indemnification or advancement of expenses may be entitled under any bylaw, agreement, vote of Members or disinterested directors or otherwise, both as to action in his or her official capacity and as to action in another capacity while holding such office.

__Section 12.4 Insurance.__ The Corporation may purchase and maintain insurance on behalf of any person who is or was a Director, officer, Member, employee or agent of the Corporation, or is or was serving at the request of the Corporation as a Director, officer, employee or agent of another corporation, partnership, joint venture, trust or other enterprise against any liability asserted against him or her and incurred by him or her in any such capacity, or arising out of his or her status as such, whether or not the Corporation would have the power to indemnify him or her against such liability under the provisions of this Article or of applicable law.

__Section 12.5 Definitions.__ For purposes of this Section, references to “the Corporation” shall include, in addition to the resulting Corporation, any constituent corporation (including any constituent of a constituent) absorbed in a consolidation or merger which, if its separate existence had continued, would have had power and authority to indemnify its Directors, officers, and employees or agents, so that any person who is or was a Director, officer, employee or agent of such constituent corporation, or is or was serving at the request of such constituent corporation as a Director, officer, employee or agent of another corporation, partnership, joint venture, trust or other enterprise, shall stand in the same position under this Article with respect to the resulting or surviving corporation as he or she would have with respect to such constituent corporation if its separate existence had continued, and references to “other enterprises” shall include employee benefit plans; references to “fines” shall include any excise taxes assessed on a person with respect to any employee benefit plan; and references to “serving at the request of the Corporation” shall include any service as a Director, officer, employee or agent of the Corporation which imposes duties on, or involves services by, such Director, officer, employee, or agent with respect to an employee benefit plan, its participants, or beneficiaries; and a person who acted in good faith and in a manner he or she reasonably believed to be in the interest of the participants and beneficiaries of an employee benefit plan shall be deemed to have acted in a manner “not opposed to the best interests of the Corporation” as referred to in this Article.

__Section 12.6 Continued Coverage.__ The indemnification and advancement of expenses provided by, or granted pursuant to this Article shall, unless otherwise provided when authorized or ratified, continue as to a person who has ceased to be a Director, officer or Member and shall inure to the benefit of the heirs, executors and administrators of such person.

### ARTICLE XIII: Amendment

The Corporation’s Certificate of Incorporation and Bylaws may be altered, amended or restated by the Board of Directors to omit or include any provision which could be lawfully omitted or included at the time of such amendment, provided that the Members of the Corporation shall approve all such amendment(s) before the same shall become effective. Any number of amendments, or an entire revision or restatement of the Certificate of Incorporation or these Bylaws, may be voted upon at a meeting of the Board of Directors, by action in writing or by means of electronic communication where due notice of the proposed amendment has been given and shall be adopted upon the affirmative vote of not less than a majority of all Directors entitled to vote on the proposed amendment or revision, and upon the approval of not less than a majority of the Members voting.

__CERTIFICATION__

The undersigned, as Secretary of The XMPP Standards Foundation, a Delaware non-stock corporation, hereby certifies that the foregoing Bylaws of the Corporation were read, approved and adopted by the Board of Directors at a meeting held on the ______ day of ________, 2001.

_______________________________________

SECRETARY
