---
Title: Jabber Trademark Usage Guidelines
Url: about/xsf/jabber-trademark/usage-guidelines
Save_as: about/xsf/jabber-trademark/usage-guidelines.html
Parent_id: about
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: about/xsf/jabber-trademark
Content_layout: multiple-columns
---

### 1. Using JABBER on an Unlicensed Basis

JABBER may be used in a descriptive, fair-use manner without a license (or other written approval) in the following ways.

### 1.1 Protocol Names:

Many protocol names (e.g., “jabber:iq:roster” and “http://jabber.org/protocol/offline”) contain JABBER as part of the name. Such a protocol name should be considered an opaque string, and must be used unaltered (i.e., without inclusion of the “®” symbol) in order to be maintained as a unique identifier. Any use of such protocol identifiers in software or associated documentation, or in XML streams sent over the wire, is considered fair and descriptive use under the trademark laws and requires no license.

### 1.2 General Technology References:

In any reference to JABBER that merely refers to it as an instant messaging and presence technology or XML streaming technology (e.g., in software documentation), the use of the “®” symbol is requested, but not required. It is not necessary to obtain or hold a trademark license to refer to the name of the technology. This type of use is called “descriptive use” under the trademark laws and requires no license.

### 1.3 Domain Names:

Use of a domain name that incorporates JABBER will constitute a fair, descriptive use if the following conditions are met:

- It is not misleading (or likely to cause confusion) that the domain name or associated web site is sponsored by or affiliated with Jabber, Inc. (now part of Cisco Systems, Inc.).
- It is not misleading (or likely to cause confusion) that a Jabber product or technology associated with the domain name or web site is produced by Jabber, Inc. (now part of Cisco Systems, Inc.).
- The web site owner does not use the Jabber Trademark in its associated company, product or service names unless properly licensed.
- It is not derogatory or demeaning to Jabber technology or the Jabber Community.


### 1.4 Publications, Seminars and Services:

If you refer to JABBER in the titles of books, magazines, e-zines, other publications, seminars, or user groups, you must use your own trademark in conjunction with the goods or service provided and may not claim rights in the portion of the title referring to the Jabber Trademark. Examples of appropriate titles include: “Your Name Jabber Protocol User’s Guide,” “Your Name Jabber User Group,” “Your Trademark Supporting Jabber Services” and “Your Brand Jabber Training.” Your name or trademark must appear in a prominent location on all materials relating to the publication, seminar, or services.

### 1.5 Trade Shows, Conferences and Expos:

Unless Cisco Systems, Inc. or the XSF is sponsoring your show or conference under a written sponsorship agreement, the name of any trade show, conference or exposition concerning a Jabber product, service or technology should begin with the producer’s or sponsor’s brand or name, and should then follow a “for Jabber” format. For example, “YourName Expo for Jabber Development” or “YourName Conference for Jabber Developers.” The producer’s or sponsor’s own name or trademark must be prominently displayed on all materials that advertise, promote or are otherwise associated with the conference.

For all instances of fair or descriptive use in an image or text (i.e., not protocol names used in software code or in XML streams sent over the wire), if space allows and if you want to be especially law abiding, you should place a short legend at the bottom of the image or text that says:

> JABBER is a registered trademark and its use is licensed through the XMPP Standards Foundation.

This places everyone else on notice that they cannot use the Mark improperly and protects it for use by everyone interested in promoting it.

### 2. Using JABBER on a Licensed Basis

JABBER may be used as all or part of an organization, software, service, or site name only upon written approval and/or under a license agreement, available through the XMPP Standards Foundation. Unlicensed or otherwise unauthorized use of JABBER or of marks that are confusingly similar to JABBER may constitute an infringement of trademark rights.

### 2.1 Products:

JABBER may NOT be used as the standalone name of any software product (e.g. The Jabber Server) or prepended to other words or characters as the standalone name of any software product (e.g. The JabberLinux Client).

JABBER may be used in the name of software products licensed under an OSI approved open source license (e.g. GPL, JOSL) providing that:

- An application to use the trademark has been completed (from the XSF web site).
- It has received a license to use the trademark from the XSF.
- The following legend is conspicuously placed in the source code:

> Jabber is a registered trademark and its use is licensed through the XMPP Standards Foundation.

- It is compliant with the Jabber protocol specification/standard
- It does not conflict with documented product or service names already registered (with the XSF) by a third party

JABBER may be used in the name of software products licensed under a commercial/proprietary license providing that:

- An application to use the trademark has been completed (from the XSF web site).
- It has received a license to use the trademark from the XSF as well as written approval from Cisco Systems, Inc. (note: This may result in a more specific required use of the trademark symbol and legend as defined by Cisco Systems, Inc.).
- The following legend is conspicuously placed on each copy of the products sold and on the title page of all product documentation:
> Jabber is a registered trademark and its use is licensed through the XMPP Standards Foundation.
(Note: Cisco Systems, Inc. reserves the right to modify the required text of the legend on a case-by-case basis. For example, “Jabber is a registered trademark of Cisco Systems, Inc., its use is licensed through the XMPP Standards Foundation.”)
- It is compliant with the Jabber protocol specification/standard; e. It does not conflict with documented product or service names already registered (with the XSF) by a third party.

### 2.2 Company/Organization Names:

JABBER can be used in the official name of any commercial (for profit) business or entity only through a license from the XSF and written approval from Cisco Systems, Inc.

JABBER can be used in the official name of any non-commercial (non-profit) organization or entity only through a license from the XSF.

### 3. General Tips on Using Trademarks

A trademark should be used as an adjective immediately preceding a generic noun such as in “Jabber protocol” or “Jabber software.” A trademark should not be used as follows:

- Not Possessives: A trademark should never be used in possessive form. Use “Jabber protocol’s benefits,” not “Jabber’s benefits.”
- Not Plurals: A trademark should never be used in plural form. Use “All your Jabber bases,” not “All your Jabbers.”
- Not Verbs: A trademark should never be used as a verb. Use “Send me a Jabber message,” not “Jabber me.”