---
Title: Who needs a license
Url: about/xsf/jabber-trademark/who-needs-a-license
Save_as: about/xsf/jabber-trademark/who-needs-a-license.html
Parent_id: about
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: about/xsf/jabber-trademark
Content_layout: multiple-columns
---

### Who Needs a License

To protect a registered trademark, the owner is required to “police” or control the use of the mark by others, under penalty of loss of the mark. Others may use or refer to a registered mark in some circumstances without a license from the owner if it is for a so-called “fair use,” or in other cases they may need to obtain a license for the use. The examples provided below may help to explain the differences (see also the [usage guidelines](/about/xsf/jabber-trademark/usage-guidelines)). The XMPP Standards Foundation is not trying to develop a revenue source from licensing, so our interpretation of the trademark laws may be a bit more liberal than other companies or trademark owners.

### Examples of Fair Use

For instance, if all you are doing is printing up pencils, stenciling T-shirts, or distributing coffee cups with a legend on them like “JABBER®: Open IM!” or “IM with JABBER®, IM the world!” this is normally considered “fair use” unless the trademark owner is a content company like Disney who seeks to collect royalties on virtually any mention of its characters and properties. We do not consider this type of activity as requiring a license from the XSF, unless you are taking the position that no one else can make similar items and distribute or sell them without your permission. In the latter case, you are wrong and you will have a major hassle with us if we find this out.

Similarly, if you are writing a product review, an engineering report, or even printing literature that merely refers to JABBER as the real-time messaging and presence technology, as long as you indicate at least once by using the circle ® symbol that it is a registered mark, it is not necessary to obtain or hold a trademark license from the XSF to use the name. This type of use is called “descriptive use” under the trademark laws and requires no license. We are generally delighted when you do this, as it helps the public know more about Jabber.

We do ask that even in the above situations that you place the ® symbol after the first prominent use of the JABBER mark, and that if you have space, and want to be especially law abiding, you place a short legend at the bottom of the image or text that says “JABBER® is a registered trademark licensed through the XMPP Standards Foundation.” This places everyone else on notice that they cannot use the mark improperly and protects it for the use by all of us interested in promoting it.

### Examples of Use Requiring a License

On the other hand, if you plan to market a product or offer a service to the public using a mark that identifies the JABBER based product under a name that you consider your product name, like the “Acme Jabber Server” or “Applied Jabber Consulting” you are required to apply for and obtain the low cost one time royalty license described elsewhere on this web site. This is true whether you actually apply for a trademark for your product or service name, because you are using the mark in a trademark sense, and it is important that the public know that JABBER is the base mark licensed through the XMPP Standards Foundation, and that the derivative mark you have adopted is your particular version of Jabber.

Beside our need to protect the Jabber mark for all of us in the industry, this process allows us to prevent improper uses of the mark that might eventually result in someone obtaining a trademark with the word Jabber in it that suggests that they are the sole source of Jabber or the sole authority to certify some aspects of use or training concerning Jabber.

### If In Doubt, Find Out

If you have any question about the need for a trademark license from the XSF, [please contact us](/contact). We will try to respond promptly. In many cases you will find that obtaining the license is simple and low cost protection from any problems in the future. In other cases, we will send you a letter confirming that you do not need the license because of the nature of your use. It also helps us all to protect the mark so that it can be used properly by those in the industry without someone trying to appropriate the use to themselves. Thanks for being concerned.