---
Title: XSF Mission
Url: about/xsf/mission
Save_as: about/xsf/mission.html
Parent_id: about
Sidebar_menu_show: true
Inherit_sidebar: about/xmpp-standards-foundation
Content_layout: multiple-columns
---

The mission of the XMPP Standards Foundation (XSF) is to build an open, secure, feature-rich, decentralized infrastructure for real-time communication and collaboration over the Internet.

We seek to achieve that goal by developing the world’s best open protocols for instant messaging, presence, and other forms of near-real-time communication, based on the IETF’s Extensible Messaging and Presence Protocol (XMPP). By “best” we mean simplest, most extensible, most powerful, most secure. We continually judge our work by these criteria, and invite others to do the same.

The XSF’s product is protocols; the XSF’s market is developers. We do not write code; instead, we make it possible for others to write code. We listen to developers, service providers, and end users regarding the kinds of problems they want to solve, and we work with them to create protocols that solve those problems. Our standards process is developer-friendly. We strenuously avoid design by committee and we places a premium on the values that built the Internet in the first place: rough consensus and running code.

We showcase the work of such developers, whether they be open-source or commercial. We document our protocols in a clear, accessible fashion, and we show developers how our protocols can solve problems and help them innovate. But we do not market ready-made solutions to organizations or individuals: that is the job of the developers we serve.

We value freedom, openness, and good technical design. All of our work occurs in public forums (e.g., the [extensions mailing list](https://mail.jabber.org/mailman/listinfo/standards)) among an open community of technical experts, led by the XMPP Council. The output of our work is both openly available (in the [XEP Series](/protocols/xmpp-extensions/)) and freely usable (in accordance with our liberal [IPR Policy](/about/xsf/ipr-policy)). And we strive to ensure that our work always meets the highest standards of technical excellence.
