---
Title: Clarifying the Purposes of the XSF
Url: about/xsf/records/proposals/clarifying-the-purposes-of-the-xsf
Save_as: about/xsf/records/proposals/clarifying-the-purposes-of-the-xsf.html
Parent_id: about
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: about/xsf/records/proposals
Content_layout: multiple-columns
---


Author: Peter Saint-Andre
Version:    1.0
Date:   2007-03-14
Status: Approved

###1.0 Preamble

The XMPP Standards Foundation (XSF) (prior to January 2007, named the Jabber Software Foundation) was founded in August 2001, at which time the purposes of the organization were defined as follows in Section 3 (“Purposes”) of the organization’s certificate of incorporation:

> The Corporation is organized and shall be operated exclusively for the promotion of common business interests within the meaning of Section 501(c)(6) of the Internal Revenue Code of 1986, as amended (the “Code”). Within the limitations established by the preceding sentence, the Corporation may engage in any lawful act or activity for which non-stock corporations may be organized under the General Corporation Law of the State of Delaware, including the support of the creation and maintenance of “open source” software projects. If the Board of Directors of the Corporation obtains an exemption for the Corporation from federal taxation pursuant to Code Section 501(a), and until such time, if ever, that such exemption is denied or lost, the Corporation shall not be empowered to engage directly or indirectly in any activity which the Corporation believes would be likely to invalidate its status as an organization exempt from federal taxation under Section 501(a) of the Code as an organization described under Code Section 501(c)(6).

That definition is problematic for several reasons:

1. The primary purpose of the XSF is not to promote common business interests among its members as defined under Code Section 501(c)(6) or to “support the creation and maintenance of ‘open-source’ software”, but instead is to define and promote the use of open protocol standards related to real-time communication and collaboration over the Internet, specifcally as based on the Extensible Messaging and Presence Protocol (XMPP); this purpose is broadly educational, charitable and scientific as defined under Code Section 501(c)(3).
2. The members of the XSF are not dues-paying businesses or organizations, but instead are non-dues-paying but technically meritorious individuals known for their participation in work related to real-time communication and collaboration over the Internet using XMPP.

It is important to clearly and accurately define the XSF’s purposes because doing so will:

- Enable the organization’s Board of Directors, members, and constituent teams to formulate appropriate goals, objectives, policies, procedures, and organizational structures to implement those purposes.
- Enable clear communication with potential sponsoring organizations, grant-making foundations, prospective members, other standards development organizations, and the press.
- Ensure that the organization’s activities are consistent with the organization’s purposes, which in turn will help ensure that the organization can maintain tax-exempt status if it achieves that status.

Therefore it is appropriate to amend the XSF’s certificate of organization as specified below.

### 2.0 Proposal

Proposed, that Section 3 (“Purposes”) of Corporation’s certificate of incorporation shall be amended to read as follows:

> The Corporation is organized and shall be operated exclusively for educational, charitable, and scientific purposes within the meaning of Section 501(c)(3) of the Internal Revenue Code of 1986, as amended (the “Code”). Such purposes shall include:
> 
> 1. To define and publish open technical standards for real-time communication and collaboration over the Internet based on the Extensible Messaging and Presence Protocol (XMPP).
> 2. To educate business enterprises, government agencies, educational institutions, Internet service providers, and the public at large regarding the nature, use, and application of such technologies.
> 3. To stimulate collaboration among organizations that use such technologies.
> 4. To maintain Internet infrastructure that facilitates the use and application of such technologies.
> 5. To provide open forums for the definition, use, and application of such technologies.
> 
> Within the limitations established by the preceding provisos, the Corporation may engage in any lawful act or activity for which non-stock corporations may be organized under the General Corporation Law of the State of Delaware in order to accomplish the Corporation’s educational, charitable, and scientific purposes, and to take other actions necessary or convenient to effect any or all of the purposes for which the Corporation is organized.
> 
> If the Board of Directors of the Corporation obtains an exemption for the Corporation from federal taxation pursuant to Code Section 501(a), and until such time, if ever, that such exemption is denied or lost, the Corporation shall not be empowered to engage directly or indirectly in any activity which the Corporation believes would be likely to invalidate its status as an organization exempt from federal taxation under Section 501(a) of the Code as an organization described under Code Section 501(c)(3).

END