---
Title: XSF Roadmap
Url: about/xsf/roadmap
Save_as: about/xsf/roadmap.html
Parent_id: about
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: about/xmpp-standards-foundation
Content_layout: multiple-columns
---

The [mission](/about/xsf/mission) of the XMPP Standards Foundation (XSF) is to build an open, secure, feature-rich, decentralized infrastructure for real-time communication and collaboration over the Internet.

The XSF has identified several high-priority initiatives to help achieve that mission:

1. Make XMPP file transfer more reliable by transitioning to Jingle (see [XEP-0234](/extensions/xep-0234.html)) with SOCKS5 bytestreams ([XEP-0260](/extensions/xep-0260.html)) and in-band bytestreams ([XEP-0261](/extensions/xep-0261.html)).
2. Combine Multi-User Chat with Jingle to enable multi-user media session management.
3. Define a method for distributing multi-user chatrooms across multiple servers.
4. Build and deploy an XMPP validation service (see the [Verify Project](http://wiki.xmpp.org/web/Verify)).
5. Transition from the [vcard-temp](/extensions/xep-0054.html) format to the vCard4 standard developed at the IETF (see [XEP-0292](/extensions/xep-0292.html)).
6. Work with the microblogging community and other social networking developers to define consistent methods for integrating “social” and “mobile” features into XMPP, based on [PubSub](/extensions/xep-0060.html) and [Personal Eventing Protocol](/extensions/xep-0163.html).
7. Solidify XMPP extensions for whiteboarding and collaborative document editing based on the [Shared XML Editing](/extensions/xep-0284.html) specification.
8. Continue to improve the resistance of XMPP to spam, phishing, abuse, and denial of service attacks.

In addition, members of the XSF are contributing to the following work within the IETF’s [XMPP Working Group](http://tools.ietf.org/wg/xmpp/):

Develop a more modern approach to handling of internationalized characters in Jabber Identifiers, in coordination with the [PRECIS Working Group](http://tools.ietf.org/wg/precis/).
Develop improvements to server-to-server federation to strengthen security and increase scalability, based on existing DNS Security (DNSSEC) extensions.
Develop an implementable, user-friendly method for end-to-end encryption of XMPP traffic, based on the requirements in [draft-saintandre-xmpp-e2e-requirements](http://tools.ietf.org/html/draft-saintandre-xmpp-e2e-requirements).
