---
Title: XSF Membership
Url: community/membership
Save_as: community/membership.html
Parent_id: community
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: community
Content_layout: multiple-columns
---

This page contains information for and about elected members of the XMPP Standards Foundation. Membership is individual (not corporate) and is based on technical merit (not financial contribution, since membership is free). New members apply for membership and typically are elected by the existing members if they are active participants in the XMPP developer community through authoring or commenting on XMPP protocols, implementing XMPP-based software, offering XMPP-based services, and the like.

* [List of members](/about/xsf/members.html)
* [Mailing lists](/community/mailing-lists.html)
* [Official meeting minutes](/about/xsf/records/meeting-minutes/)

## <a name="application" href="#application">Become a Member</a>

Applications from prospective new members are accepted during the first two weeks of every quarter (i.e., the first two weeks of January, April, July, and October). New members are admitted based on a vote of the existing members, and existing members are required to re-apply every 12 months. Application periods are announced on the jdev discussion list and completed on the [wiki.xmpp.org](https://wiki.xmpp.org) site [here](https://wiki.xmpp.org/web/Membership_Applications).

## <a name="responsibilities" href="#responsibilities">Responsibilities of Members</a>

Because the XSF is a membership organization, our members provide the legal basis for our activities. In particular, once every twelve months the members of the XSF elect the XMPP Council and the XSF Board of Directors. The members also retain ultimate responsibility for the policies of the XSF as reflected in the XSF [Bylaws](about/xsf/bylaws).

Membership in the XMPP Standards Foundation is a privilege that is granted by existing members to active participants in the Jabber/XMPP community. Prospective members are expected to have made valuable contributions through writing code, deploying Jabber/XMPP services, creating documentation, authoring XMPP Extension Protocols, and so on. The best way to increase one’s chances of election are to actively and visibly contribute to the Jabber/XMPP community.

## <a name="work_teams" href="#work_teams">XSF Work Teams</a>

Once elected, XSF members are expected to continue contributing to the Jabber/XMPP community and the work of the XMPP Standards Foundation through participation on our [mailing lists](/community/mailing-lists) and [chat rooms](/community/chat) and in the XSF’s work teams. Currently four work teams are chartered and active:

* [Communication Team](/about/xsf/comm-team)
* [Editor Team](about/xsf/editor-team)
* [Infrastructure Team](/about/xsf/infrastructure-team)
* [Summits, Conferences & Meetups Team](/about/xsf/scam-team)

In addition to the foregoing opportunities, members must participate in the ongoing governance of the XSF by voting in the quarterly and annual meetings of the membership. In accordance with Section 2.6 of the XSF Bylaws, any member who is inactive through three consecutive meetings forfeits their membership.
