---
Title: Sponsorship
Url: community/sponsorship
Save_as: community/sponsorship.html
Parent_id: community
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: community
Content_layout: multiple-columns
---

As an organization the XSF relies on the enthusiasm of its members and the generosity of its sponsors to continue its work.

Sponsoring the XSF puts your company in front of an influential and highly technical audience interested in an Open Standard that becomes more popular year after year.

XSF sponsors are widely recognized as significant contributors to the success of XMPP technologies. In particular, funds raised through the Sponsorship Program support in-person XMPP developer summits, travel for key XMPP community members to speak at industry conferences (in particular our very popular seminars at OSCON and FOSDEM) and participate in IETF meetings, hosting and maintenance of XSF servers, and continuing operations devoted to improved standardization and adoption of XMPP technologies.

The table below summarizes the benefits available to sponsors at each of the sponsorship levels. Please note the XSF only allows 1 Titanium and 3 Platinum sponsors per year.

An explanation of the benefits, together with sponsorships costs, can be found below the table.

| Benefit                            | Silver | Gold | Platinum | Titanium |
|------------------------------------|--------|------|----------|----------|
| Logo in XSF presentations          | Yes    | Yes  | Yes      | Yes      |
| Logo on Every Page                 | Yes    | Yes  | Yes      | Yes      |
| Logo on Sponsor Page               | Yes    | Yes  | Yes      | Yes      |
| Logo + Paragraph on Sponsor page   |        | Yes  | Yes      | Yes      |
| Page on the XSF Site               |        |      | Yes      | Yes      |
| Namecheck during XSF Presentations |        |      | Yes      | Yes      |
| Automatic XSF Event Sponsorship    |        |      | Yes      | Yes      |
| Automatic XSF Dinner Sponsorship   |        |      |          | Yes      |
| Free XSF Dinner Tickets            |        | 1    | 2        | 4        |
| Blog Posts (per month)             |        | 1    | 1        | 2        |

### Benefits in detail

- __Logo in XSF Presentations__: Your company logo will feature in XSF presentations given by XSF Council and XSF Board members.
- __Logo on Every Page__: Your logo will form part of the pool of sponsor logos that appear on the home page of the site.
- __Logo on Sponsor Page__: Your logo will appear on the XSF Sponsor Page, linked to a designated page on your website.
- __Logo + Paragraph on Sponsor Page__: Your logo, together with a paragraph describing your company, will appear on the XSF Sponsor Page, linked to a designated page of your choice.
- __Your own page on the XSF site__: You’ll get your own page on the XSF site, which will be listed in the site’s main menu.
- __Namecheck during XSF Presentations__: Your company will be verbally namechecked and thanked during XSF presentations given by XSF Council and XSF Board members.
- __Automatic XSF Sponsorship__: You will automatically be counted as a sponsor of official XSF Events (including FOSDEM and OSCON)
- __Automatic XSF Dinner Sponsorship__: You will automatically be counted as a sponsor of the official XSF Dinner, which usually takes place after FOSDEM in Brussels, Belgium each year.
- __Free XSF Dinner Tickets:__ You’ll receive free tickets to the annual XSF Dinner (includes transport from and to your Brussels Hotel, food and drink).
- __Blog posts per month:__ You’ll be allowed to submit 1 or 2 blog posts per month for inclusion in the XSF Blog. Please note that blog posts will have to be approved by the XSF Council to ensure their relevance. You can use these blog posts to talk about your own XMPP-related efforts or those of other companies you think deserve to be highlighted.


### Costs of Sponsorship

The XSF offers four levels of sponsorship:

- __Silver__: $1,000
- __Gold__: $2,500
- __Platinum__: $10,000
- __Titanium__: $25,000

Sponsorship applies on a calendar-year basis. Sponsor funds received in the middle of the calendar year shall be pro-rated accordingly. The XSF often accepts ‘in kind’ donations of equipment, software or services in place of monetary commitments. Please [contact us](/contact) for more information.
