---
Title: Instant Messaging
Url: uses/instant-messaging
Save_as: uses/instant-messaging.html
Parent_id: uses
Top_menu_show: false
Top_Menu_order: -1
Dropdown_menu_show: false
Footer_show: false
Sidebar_menu_show: true
Inherit_sidebar: uses
Content_layout: multiple-columns
---

When Jeremie Miller invented Jabber/XMPP technologies in 1998, he did so in large measure to provide a free and open alternative to the proprietary instant messaging services of the day, such as AOL Instant Messenger and ICQ. Although the names of such services have changed, today XMPP still represents a free and open standard for building and deploying instant messaging systems and related applications.

All of the existing XMPP servers, clients, and programming libraries support the key features of an IM system, such as one-to-one and multi-party messaging, presence subscriptions and notifications, and contact lists. This wealth of code enables developers to easily build new applications in a secure and scalable way.

Because user expectations for messaging apps continue to change over time, the XMPP community always works to define and implement XMPP extensions for new features. Whereas five or ten years ago such features included [chat state notifications](/extensions/xep-0085.html) and [HTML messages](/extensions/xep-0071.html), now they include things like [push notifications](/extensions/xep-0357.html), [message archives](/extensions/xep-0313.html), and [improved multi-device support](/extensions/xep-0280.html).

## Projects using XMPP-based Instant Messaging

There are many projects that have created an XMPP-based Instant Messaging network.

| Users        | Company                         | Description                            |
|--------------|---------------------------------|----------------------------------------|
| ~800 million | [WhatsApp](http://whatsapp.com) | WhatApp uses a [variation of XMPP](https://github.com/WHAnonymous/Chat-API/wiki/FunXMPP-Protocol) for its popular chat service |
| ~200 million | [Zoom](https://zoom.us)         | Zoom uses [XMPP (with some proprietary extensions) for its chat functionality](https://blog.talosintelligence.com/2020/04/zoom-user-enumeration.html). |
| ~4 million   | [Grindr](https://grindr.com)    | Grindr is a geosocial networking and online dating application that [uses XMPP for its chat application](https://www.meetup.com/Los-Angeles-Android-Developers-Mobile-Developers-Meetup/events/221112018/). |
|    ~10k      | [Kontalk](http://kontalk.org)   | A free and open source XMPP service that uses your phone number as the user ID. |
|   Unknown    | [Jitsi](https://jitsi.org)      | Jitsi is a free and open source project that enables video-conferences. It uses XMPP for its chat functionality. |
