---
title: Instant Messaging: Es geht nicht um die App
date: 2021-01-28 22:40
author: Edward Maurer
blog_id: blog
category: misc
---

_This is the German translation of the [original blog post](https://xmpp.org/2021/01/instant-messaging-its-not-about-the-app/)._
_Dies ist die deutsche Übersetzung des [ursprünglichen Blogeintrags](https://xmpp.org/2021/01/instant-messaging-its-not-about-the-app/)._
_Vielen Dank für die Korrekturlesung Daniel Brötzmann, Martin und Paul Schaub!_

Andere Übersetzungen:
- [Español](https://xmpp.org/2021/01/mensajeria-instantanea-no-se-trata-de-la-aplicacion/)
- [Française](https://xmpp.org/2021/01/messagerie-instantanee-il-ne-sagit-pas-de-lapplication/)
- [Română](https://xmpp.org/2021/01/mesagerie-instantanee-nu-este-vorba-despre-aplicatie/)

Kürzlich haben sich mehrere Leute bei mir gemeldet und gefragt, welche Art von Messenger sie jetzt verwenden sollten - sie sagten, dass ihnen nicht klar sei, worauf sie achten sollten und ob sie von einem der allgemein bekannten Messenger zu einem anderen wechseln sollten. 
Ich fragte mich, wie ich dies beantworten sollte. Natürlich hätte ich einfach für XMPP (Extensible Messaging and Presence Protocol) plädieren können, aber dann dachte ich, dass diese Antwort allein vielleicht nicht hilfreich sei. Bei der Wahl ihrer Kommunikationssoftware treffen Menschen oft sehr schnelle Entscheidungen, die selten gut überlegt und fundiert sind; und so werden sie wohl erneut zu einem anderen Messenger wechseln.

Viele fügen sogar einen weiteren Messenger zu ihrem stetig wachsenden Repertoir von Messengern hinzu, was wahrscheinlich eher frustrierend als hilfreich ist. Das bringt mich zurück zur ursprünglichen Fragestellung: Welches Problem will man hier lösen? Was sind die Absichten? Kann man eine Lösung mit einer besseren technologischen Basis finden, 
die nicht bloß dem Hype hinterher rennt und bei der man nicht mehrere Messenger-Apps installieren muss?

Verschiedene Menschen haben unterschiedliche Überlegungen zur Beantwortung dieser Frage - manche benötigen einen effektiven Datenschutz, andere Datenhoheit oder einfach die Möglichkeit, alle ihre Kontakte von einem Ort aus zu erreichen. Der Wechsel von einem Messaging-System zu einem anderen bedeutet jedoch oft, einige Kontakte zurückzulassen. Viele Messaging-Systeme erfordern außerdem eine Telefonnummer, was für den Datenschutz kritisch zu betrachten ist.

### Souveränität der Kommunikation

Wie vielleicht schon vermutet, werde ich für XMPP plädieren. Ich denke, die erste zu treffende Entscheidung sollte nicht sein, welchen Messenger man verwendet, sondern welche zugrundeliegende Software-Technologie. Man sollte zunächst der Wahl der Technologie betrachten, bevor man von einer Messenger-Empfehlung zur nächsten springt.

> XMPP ist ein offenes Protokoll, so wie es HTTP für das Web ist. Es spielt keine Rolle, wie die Webseite aussieht, dank des HTTP Protokolls kann man beliebige Browser wählen um mit ihr zu interagieren. Dieses Prinzip ist auch die Idee hinter XMPP, allerdings für Instant Messaging.

Bei der XMPP Standards Foundation und bei vielen anderen, die an dieser offenen Technologie beteiligt sind, sind wir der Meinung, dass XMPP als Kommunikationstechnologie gute Wahl ist, und das nicht nur in Hinblick auf Datenschutz. XMPP gibt es seit über zwanzig Jahren und in dieser Zeit wurde eine Menge praktischer Erfahrung gesammelt. Dazu gehören viele Kriterien und Indikatoren, die sich als wertvoll für eine fundierte Wahl der Technologie und Ermöglichung von digitaler Souveränität herauskristalisiert haben. Dazu gehören:

- Dezentralisierung von Kommunikationsdiensten (Föderation)
- Standardisierung und Erweiterbarkeit der Technologie
- Interoperabilität
- Innovation und der Einsatz offener Entwicklung
- Privatsphäre und Kontrolle, auch durch den Einsatz von Ende-zu-Ende-Verschlüsselung

> XMPP stellt definierte Informationen zur Verfügung, wie die Kommunikation in einem Netzwerk abgewickelt werden soll. Der Anwender entscheidet, welche Software er nutzen möchte und wo die Daten gespeichert werden sollen.

Im Gegensatz zur aktuellen Situation, in der andere einem ihren bevorzugten Messenger vorschlagen, hat man im XMPP-Universum die freie Wahl aus vielen Messengern. Jeder kann den Messenger wählen der ihm gefällt, nicht den, den andere mögen und der bei der nächsten Internet-Modeerscheinung wieder ausgetauscht wird. Der Unterschied ist, dass man unabhängig davon, welche Messaging-App man verwendet oder welche App die Freunde benutzen, immer noch den Komfort haben, mit all seinen Kontakten im selben Netzwerk zu sein, unabhängig von der heutigen Wahl. Ich denke, das ist eine echte Lösung.

## Es geht nicht um die App, sondern um die Technologie

Man überlegt sich, welche Technologie man einsetzen will, und entscheidet dann, welcher Messenger zu einem selbst oder seiner Umgebung passt. XMPP und seine Community kann auf eine große Menge Erfahrungen zurückgreifen, die erfolgreich in einer Vielzahl von Anwendungen umgesetzt werden. Wir sind der Meinung, dass dies eine gute Lösung für die meisten Menschen und Organisationen da draußen sowie das Internet als Ganzes sein kann - und es ist offen für uns alle, um Innovationen für die Zukunft zu ermöglichen.

> XMPP hat nicht nur eine breite Palette an Messaging-Software, es gibt auch verschiedene Server-Software und Werkzeuge (Bibliotheken), um die Infrastruktur selbst aufzubauen.

Es gibt nicht die eine Art, wie Kommunikations-Apps gestaltet werden müssen. Man kann sich nachhaltig für eine standardisierte Technologie entscheiden - dafür und für viele andere Zwecke empfehlen wir den Einsatz von XMPP!

Wenn der Text Interesse geweckt hat, eine Entscheidung für das nächste Jahrzehnt zu treffen, möchte ich auf diese weiterführende Lektüre hinweisen:

- [Getting started](https://xmpp.org/getting-started/), XMPP Standards Foundation
- XSF Blogeintrag: [It’s all about choices and control](https://xmpp.org/2015/01/its-all-about-choices-and-control/) von Laura, verfasst in 2015
- [Modern XMPP](https://docs.modernxmpp.org/), Website zur Unterstützung von Entwicklern und Neueinsteigern beim Einstieg in XMPP
- Kommentare in der XMPP-Community (nicht alle auf deutsch):
    - [Eine Chance für XMPP?](https://www.jabber.de/eine-chance-fuer-xmpp/), jabber.de
    - [How to ensure your Instant Messaging solution offers users privacy and security](https://www.erlang-solutions.com/blog/how-to-ensure-your-instant-messaging-solution-offers-users-privacy-and-security.html), Erlang Solutions
    - [Mastodon Eintrag](https://pouet.april.org/@aprilorg/105520799332659637), Association April
    - [Twitter Eintrag](https://twitter.com/MovimNetwork/status/1351138046029279239), Movim Network
    
Dieser Blogbeitrag ist unter der CC BY-SA 4.0 Lizenz veröffentlicht.
