---
title: Messagerie instantanée : Il ne s'agit pas de l'application
date: 2021-01-28 22:40
author: Edward Maurer
blog_id: blog
category: misc
---

_This is the French translation of the [original blog post](https://xmpp.org/2021/01/instant-messaging-its-not-about-the-app/)._
_Cet article est la traduction française de [l'article original du blog](https://xmpp.org/2021/01/instant-messaging-its-not-about-the-app/)._
_Thanks to anubis, mathieui, nÿco, pmaziere, pulkomandy and ysabeau for their translation and review!_

Autres traductions :
- [Deutsch](https://xmpp.org/2021/01/instant-messaging-es-geht-nicht-um-die-app/)
- [Español](https://xmpp.org/2021/01/mensajeria-instantanea-no-se-trata-de-la-aplicacion/)
- [Română](https://xmpp.org/2021/01/mesagerie-instantanee-nu-este-vorba-despre-aplicatie/)

Parce qu’elles ne comprennent pas les critères à prendre en compte pour le choix d’un type de messagerie instantanée, plusieurs 
personnes m’ont récemment contacté pour me demander lequel ils devraient utiliser et si elles devraient migrer d’une des solutions
ayant pignon sur rue à une autre du même acabit. Je me suis demandé comment répondre à ces questions. Évidemment, j’aurais simplement
pu plaider pour XMPP (_Extensible Messaging and Presence Protocol_), mais j’ai pensé que cela ne serait peut-être pas une réponse
utile en soi. Souvent, les gens prennent une décision rapide concernant leur logiciel de communication, et ce n’est généralement pas
un choix bien réfléchi, ce qui, plus tard, les amènera inexorablement à passer à une autre messagerie instantanée.

Beaucoup ne feront en fait qu’ajouter une autre messagerie instantanée à leur collection toujours croissante de messageries, ce qui
est probablement plus frustrant qu’utile. Cela me ramène à la question initiale : quel enjeu et quel problème veut-on résoudre ici ?
Quelles sont leurs motivations ? Peut-on trouver une solution avec un meilleur fondement technologique qui évite l’effet de mode et
n’implique pas l’installation de plusieurs applications de messagerie ?

Il y a autant de réponses que de personnes qui posent ces questions : quand certains ont besoin d’une réelle protection de leurs 
données personnelles, les autres demandent un contrôle complet sur celles-ci, ou s’attendent simplement à pouvoir joindre tous leurs
contacts à partir du même appareil. Quelles que soient ces attentes, migrer d’un système de messagerie à un autre implique souvent de
laisser certains contacts derrière soi. De nombreux systèmes de messagerie ont en plus fait le choix de réclamer un numéro de téléphone,
ce qui n’est pas un bon point de départ pour la protection des données personnelles.

## Maîtrise de vos communications

Comme vous vous en doutiez, je vais recommander XMPP. Je pense que la première chose à faire n’est pas de choisir une application de
messagerie, mais de choisir la technologie logicielle sous-jacente. Réfléchissons d’abord à la technologie avant de sauter d’une
recommandation à l’autre.

> XMPP est un protocole ouvert, comme HTTP pour le web. L’apparence de votre site web n’a pas d’importance, tout le monde peut interagir avec.
L’idée derrière XMPP, c’est d’appliquer le même principe à la messagerie instantanée. 

La XSF, ainsi que beaucoup de personnes impliquées dans cette technologie libre, pense que XMPP est un excellent choix d’un point de vue
technique, et pas seulement en ce qui concerne la protection des données personnelles. XMPP existe depuis plus de 20 ans, ce qui a permis
d’accumuler beaucoup d’expérience de terrain. Cela inclut de nombreux indicateurs clés pour le choix d’une technologie de communication
maitrisée, puisqu’il prend en charge :

* la décentralisation des services de communication (fédération) ;
* la standardisation et l’extensibilité de la technologie ;
* l’interopérabilité ;
* l’innovation par la mise en place d’un développement ouvert ;
* la protection et le contrôle des données personnelles, incluant le chiffrement de bout en bout.

> XMPP fournit les éléments d’information permettant de gérer la communication dans un réseau. Mais chaque personne décide du logiciel
client qui lui convient, et sur quel serveur ses données doivent être stockées.

Contrairement à la situation actuelle, où d’autres gens vous incitent à utiliser leur application préférée, dans l’univers d’XMPP vous
avez le choix entre de nombreux clients de messagerie : choisissez celui qui vous plaît aujourd’hui, indépendamment des effets de mode,
quitte à en changer plus tard. À la différence d’autres technologies de communication, peu importe l’application que vous utilisez ou le
serveur qui héberge vos données, vous resterez toujours sur le même réseau que vos contacts. Je pense que c’est une vraie solution.

## Ce n’est pas une question d’applications, mais de technologie

Décidez-vous sur la technologie que vous prévoyez d’utiliser, et sélectionnez ensuite quel logiciel correspond à votre usage ou à votre
environnement. XMPP et sa communauté ont accumulé une grande variété d’expérimentations qui ont été mises en pratique dans un grand nombre 
de logiciels. Nous pensons que c’est une bonne solution pour la plupart des individus et des organisations, ainsi que pour la cohérence
d’Internet comme un tout, sans compter qu’elle reste ouverte à de futures innovations sans en limiter l’origine.

> En plus d’un large choix de logiciels de messagerie, XMPP propose également plusieurs serveurs et outils de développement pour construire
vos propres infrastructures.

Il n’y a pas qu’une seule manière de concevoir des applications de communication. Faites le choix d’une technologie standardisée qui restera
valable à long terme : pour cette raison, et pour beaucoup d’autres, nous recommandons l’utilisation d’XMPP!

Si vous avez l’intention de choisir une solution pour la prochaine décennie, laissez-moi vous orienter vers plus de documentations :

* Pour commencer, mettez le pied à l’étrier avec [le site de XSF](https://xmpp.org/getting-started/) [en anglais] ;
* Un article du blog de la XSF : [It's all about choices and control](https://xmpp.org/2015/01/its-all-about-choices-and-control/) (C’est une question de choix et de contrôle) [en anglais] par Laura, écrit et 2015 ;
* [Modern XMPP](https://docs.modernxmpp.org/), un site web en anglais utile aux développeurs comme aux nouveaux arrivants pour se lancer dans XMPP ;
* Commentaires de la communauté XMPP :
    * [Eine Chance für XMPP](https://www.jabber.de/eine-chance-fuer-xmpp/) (Une chance pour XMPP) [en allemand], jabber.de ;
    * [How to ensure your Instant Messaging solution offers users privacy and security.](https://www.erlang-solutions.com/blog/how-to-ensure-your-instant-messaging-solution-offers-users-privacy-and-security.html) (Comment s’assurer que votre solution de messagerie instantanée offre à vos utilisateurs une protection de leurs données personnelles et la sécurité) [en anglais], Erlang Solutions ;
    * [message sur Mastodon](https://pouet.april.org/@aprilorg/105520799332659637) de l’Association April ;
    * [message sur Twitter](https://twitter.com/MovimNetwork/status/1351138046029279239) du réseau Movim ;
* [Ajout des Traducteurs français] :
    * [XMPP en 2021](https://linuxfr.org/users/mathieui/journaux/xmpp-en-2021) ;
    * Salon de la [communauté jabberfr.org](https://chat.jabberfr.org/converse.js/jabberfr@chat.jabberfr.org) ;
    * Salon [linuxfr](https://chat.jabberfr.org/converse.js/linuxfr@chat.jabberfr.org).

Cet article de blog est publié sous licence CC BY-SA 4.0.
