---
title: Be Open
date: 2007-02-09 21:22
author: stpeter
blog_id: blog
---

We sometimes receive questions about whether there are restrictions on who may submit and comment on [proposals](https://xmpp.org/extensions/) to extend XMPP, join the various XMPP-related [discussion venues](https://xmpp.org/about/discuss.shtml), or participate in events such as our upcoming [DevCon](http://wiki.jabber.org/index.php/DevCon).

The short answer is: No.

The long answer is that we strive to be a completely open and transparent community. Unlike some standards development organizations that call themselves open but are in fact industry consortia with closed processes and high barriers to entry, the XMPP Standards Foundation is fully committed to openness. Although we have elected [members](https://xmpp.org/xsf/members/) and generous [sponsors](https://xmpp.org/xsf/sponsors/), they merely provide the legal and financial basis for us to pursue our work.

Perhaps because our technology emerged from the open-source community, we think that the philosophy of "with enough eyeballs, all bugs are shallow" applies just as much to protocols as it does to code. That's why all of our protocol discussions take place on an [open discussion list](https://mail.jabber.org/mailman/listinfo/standards). That's why we publish the [agendas](https://xmpp.org/council/agendas/) and [chat logs](http://www.jabber.org/muc-logs/council@conference.jabber.org/) of the [XMPP Council](https://xmpp.org/council/) for all to see. That's why we keep all of our specifications (and in fact our entire website) under [source control](http://www.jabberstudio.org/cgi-bin/viewcvs.cgi/cvs/xmpp/) so you can see exactly what we change. And that's why you don't need to be an elected member or an employee of a sponsoring company in order to participate.

So if you or your organization builds XMPP-based technology, we encourage you to [join the conversation](https://xmpp.org/about/discuss.shtml). It's the only way we can achieve our [mission](https://xmpp.org/xsf/mission.shtml) of building an open, standardized, secure, feature-rich, widely-deployed, decentralized infrastructure for real-time communication and collaboration over the Internet.
