---
title: Brussels Report
date: 2007-02-27 20:14
author: stpeter
blog_id: blog
category: XMPP Summit
---

Over the weekend, members of the XMPP Standards Foundation and the Jabber developer community participated in [FOSDEM 2007](http://www.fosdem.org/) (one of the world's premier conferences for developers of free and open-source software) and also held a smaller "XMPP Summit" to discuss high-priority issues related to our technology.

I think it's safe to say that the weekend was a smashing success. Our developer room at FOSDEM hosted a full schedule of talks and was often standing room only. Topics included virtual presence, Jingle, telephony integration, mobile applications, server and client architecture, transporting XMPP over HTTP connections, and hacking XMPP applications with the Twisted Python library. I also gave a talk in the main track on secure communications (video footage is [here](http://www.fosdem.org/2007/media/video)), in which I discussed our recent security work and announced our partnership with [NLnet](http://www.nlnet.nl/) to make end-to-end encryption a reality on our network.

On the Monday after FOSDEM, we held an "XMPP Summit" attended by four of the five [XMPP Council](https://xmpp.org/council/) members, all three [XSF Board](https://xmpp.org/xsf/board/) members, and half a dozen developers from the community. Good progress was made on various [roadmap](https://xmpp.org/xsf/roadmap.shtml) topics such as Jingle, end-to-end encryption, Personal Eventing Protocol, message archiving, file transfer, and shared roster (a.k.a. "communities"). The group also discussed methods for building a software certification program to encourage implementation of important XMPP extensions. Expect further updates regarding these initiatives in the near future.

As always, some of the most interesting technical conversations occurred in conference hallways, restaurants, and pubs. Developers who have worked together for years over the Internet -- sometimes even on the same project -- got a chance to meet IRL (that's "in real life" for you non-IM people). During one of those conversations, XMPP Council member Ralph Meijer made an insightful observation: ours seems to be the only coherent, vibrant technology community that is centered on a protocol rather than a codebase. There is not really an HTTP community or SMTP community or SIP community, in the sense of a group of open-source and commercial developers, technology architects, and users who over many years have regularly and openly communicated and cooperated on solving technical problems together. But somehow we seem to have achieved that rare feat in the Jabber/XMPP community, and it is a large part of our strength and longevity. Events such as our weekend in Brussels further reinforce the sinews of our community, which is why they are so important to the progress of our technology.

And lest I forget, special thanks are due to the following individuals for their help in making this weekend so productive:

-   Ralph Meijer for organizing our FOSDEM developer room
-   Edwin Mons and Christ van Willegen for manning our [FOSDEM
    booth](http://flickr.com/photos/nukeador/404681293/) and for much
    logistical help
-   Mickaël Rémond for arranging meeting space for the XMPP Summit

See you in Brussels for FOSDEM 2008!
