---
title: Continuing the Conversation at the IETF
date: 2007-01-26 19:43
author: stpeter
blog_id: blog
---

Today we sent to the [IETF](http://www.ietf.org/) updated versions of our proposed revisions to [RFC 3920](http://www.ietf.org/rfc/rfc3920.txt) ("XMPP Core") and [RFC 3921](http://www.ietf.org/rfc/rfc3921.txt) ("XMPP IM"). For reasons that are obscure to people outside the IETF, such revised documents are called "bis" drafts, so the documents in question are called [rfc3920bis](https://xmpp.org/internet-drafts/draft-saintandre-rfc3920bis-01.html) and [rfc3921bis](https://xmpp.org/internet-drafts/draft-saintandre-rfc3921bis-01.html). These Internet-Drafts incorporate corrections, errata, updates to technologies we use (such as Transport Layer Security), feedback from implementors, interoperability testing results, and general lessons learned since the XMPP RFCs were published in October 2004.

While the "delta" between the existing RFCs and the new documents is small enough that we won't need to change the version from XMPP 1.0 to XMPP 1.1, it is important to document the differences and update the specifications since they form the bedrock of our technology.

These Internet-Drafts will probably undergo one or two more rounds of revision (with increasingly minor changes), then we will ask the [IESG](http://www.ietf.org/iesg/) to consider them for approval. Upon approval, they will be published with new RFC numbers (not 3920 and 3921) and, we expect, thus advance the core XMPP protocols from Proposed Standard to Draft Standard within the Internet Standards Process. Many Internet protocols never advance beyond Proposed Standard, but we take the Internet Standards Process seriously and would like XMPP to eventually become a final standard on par with TCP, IP, HTTP, SMTP, and other such foundational building blocks for the Internet as we know it.

Our [goal](https://xmpp.org/xsf/roadmap.shtml) is to advance XMPP to Draft Standard before the end of 2007. Feedback from implementors is key to that effort, which is why we will be holding two interoperability testing events this year (the [next one](http://wiki.jabber.org/index.php/Interop_Event') in late February in Brussels).

Close review of the proposed revisions is also appreciated, with discussion occurring on the [XMPPWG](https://mail.jabber.org/mailman/listinfo/xmppwg/) mailing list. As always, our events and discussion venues are completely open to contributions from any interested party (the XMPP Standards Foundation, like the IETF itself, is not a closed industry consortium but an open technology forum), so feel free to join the conversation and help us make XMPP as solid and secure as possible.
