---
title: Freedom
date: 2007-03-06 13:06
author: stpeter
blog_id: blog
---

Freedom is one of our core values in the Jabber/XMPP community. The focus on freedom goes back to [Jeremie Miller](https://xmpp.org/xsf/people/jer.shtml), who invented the base of our technologies in 1998 as a way for people to connect over the Internet without the silos and restrictions enforced by consumer IM services.

Over the years that sense of freedom has broadened and deepened. Consider:

-   Our community has centered on Internet protocols (not a given open-source codebase) in part to give developers the freedom to use whatever license they want: free source, open source, freeware, shareware, commercial, or any combination thereof.
-   Our protocols are as free as the air, which means anyone may implement them without asking permission or worrying about patents.
-   Our protocols are pure XML, which means developers may extend the protocols for their own custom functionality. While we standardize [XMPP extensions](https://xmpp.org/extensions) that are of more general interest, developers have the freedom to make their own extensions and not standardize them through the XSF if they don't want to.
-   As [previously mentioned](http://blog.xmpp.org/?p=9), all of our discussion venues and processes are completely open and transparent, giving any individual the freedom to participate.
-   Our technologies are designed to enable organizations to connect their XMPP servers for inter-domain federation if desired, but they also have the freedom to run a server behind the firewall without connecting to other domains.
-   Individuals who use Jabber/XMPP technologies for instant messaging still have the fundamental freedom of conversation that Jeremie envisioned back in 1998.

So freedom is more than just a pleasant word or "value statement" for us -- it is a way of life and a key part of everything we are working to achieve.
