---
title: What Is XMPP?
date: 2007-10-31 10:53
author: stpeter
blog_id: blog
---

The Extensible Messaging and Presence Protocol (XMPP) is an open XML technology for real-time communication, which powers a wide range of applications including instant messaging, presence, media negotiation, whiteboarding, collaboration, lightweight middleware, content syndication, and generalized XML routing.

More formally, XMPP is defined by [RFC 3920](http://www.ietf.org/rfc/rfc3920.txt) and [RFC 3921](http://www.ietf.org/rfc/rfc3921.txt) as published by the IETF in October 2004. Everything we've built on top of those two specifications we call "XMPP extensions" (usually defined in the [XEP series](https://xmpp.org/extensions/)).

Over the last year or so we've been working to incorporate feedback from the widespread implementation and deployment of XMPP technologies into the core definitions of XMPP. That has been happening through revisions to two Internet-Drafts at the IETF: [draft-saintandre-rfc3920bis](http://tools.ietf.org/html/draft-saintandre-rfc3920bis) and [draft-saintandre-rfc3921bis](http://tools.ietf.org/html/draft-saintandre-rfc3921bis) . As part of that effort, we have also published a [protocol feature set](https://xmpp.org/internet-drafts/draft-saintandre-xmpp-feature-set-00.html) that can be used when companies and open-source projects that have implemented XMPP submit interoperability reports to the IETF (based on a [proposal](http://tools.ietf.org/html/draft-ietf-newtrk-interop-reports-00) by Larry Masinter in the IETF's NEWTRK Working Group).

These formal specifications are definitely not marketing documents! They are dry, boring, highly technical protocol definitions. But they provide the basis for all of our work with XMPP technologies, which is why it is so important to get the details right. Before we seek approval of the revised XMPP specifications within the IETF, broad review is needed from the full range of XMPP developers and community members, so if you have feedback please send it to the [standards@xmpp.org](https://mail.jabber.org/mailman/listinfo/standards) discussion list or to the document editor directly.

Thanks!
