---
title: XMPP Roundup 13: services
date: 2010-02-05 08:11
author: Nyco
blog_id: blog
category: XMPP Roundup
---

Live from the XMPP Hackfest in Brussels, Belgium, here is the XMPP Roundup 13, dedicated this time to new and updated services. As announced before, the XMPP Roundup has been split into separate parts with "articles, talks and events" and "new and updated software" already published.

This Roundup was brought to you with contributions from Alexander Gnauck, Will Sheward, Guillaume Le Galès, Kevin Smith, and Nicolas Vérité.

*EVE Online*

The [EVE Online](http://www.eveonline.com/) science-fiction [MMORPG](http://en.wikipedia.org/wiki/Massively_multiplayer_online_role-playing_game) (massively multiplayer online role-playing game) is using an XMPP service for in-game chats (also offering e-mail), on the [eve-mail.net](http://eve-mail.net/) domain, with S2S (server-to-server) open for federation.

*Interactive XMPP demos*

The Google App Engine blog has listed a few [interactive XMPP demos](http://googleappengine.blogspot.com/2009/10/interactive-xmpp-demos.html), like CrowdGuru, a crowdsourcing answers bot, and Multi-Chat, an IRC-like chatroom system.

*Jabcast XMPP*

[Desktop Alert Inc.](http://desktopalert.net/) have released Jabcast XMPP, allowing public and private sector users of the Common Alerting Protocol to broadcast alerts using XMPP. More information is available at [the press release](http://www.prweb.com/releases/Jabcast/XMPP/prweb2991694.htm).

*PuSH Bot: PubSubHubbub to XMPP Gateway*

A PubSubHubbub to XMPP gateway had already been mentioned in the previous Roundup, but PuSH Bot is a new such gateway running on [http://push-bot.appspot.com/](http://push-bot.appspot.com/). The code is available under the Apache V2.0 license at the [partychapp project](http://code.google.com/p/partychapp/source/browse/#svn/trunk/pushbot) (XMPP-based chatrooms for Google Talk).

*Collecta's XMPP API*

Collecta, the real-time search engine, has [published a new XMPP API](http://developer.collecta.com/XmppApi/). Take look at it, it is really simple.

*Tlen.pl XMPP federation*

Tlen.pl, or "oxygen" in polish, is a slightly modified XMPP service. It features voice calls, SMS and video conference. Tlen.pl has been compatible since a long time with Gadu-gadu, the most used IM service in Poland (proprietary client, service, and protocol). Tlen.pl is now [open to XMPP federation](http://osnews.pl/juz-dziala-s2s-w-sieci-tlenpl/).

*Today’s Special*

Prashant Thakkar has written a bot that serves quotes of the day, words of the day, historical events of the day, horoscope of the day, joke of the day, as well as cricket scores. Just add todays-special@appspot.com to your roster and send 'help' to get a list of commands.

*Clisearch Jabber bot*

[Clisearch](http://clisearch.net/) is a Jabber bot that will answer your queries, subscribe to RSS feeds and topics, manage your tasks and bookmarks, plus help you count with a calculator. Just add agent@clisearch.net to your roster and start by typing the usual 'help'. Clisearch is brought to you by Roman Kvasnyj from Russia and Anurag Bhatia from India.

*BBC's LiveText-via-IP*

The famous British broadcaster, the BBC is doing [LiveText-via-IP](http://www.bbc.co.uk/blogs/radiolabs/2009/11/pushfeeds.shtml) by sending PubSub events to all browsers listening to BBC online radio.

*XMPPguru*

Thiago has talked about [XMPPguru](http://xmppjingle.blogspot.com/2009/12/xmpp-bots-xmppguru.html) a new appspot XMPP bot that answers to your general questions.

*pip.io*

"[Pipio](http://pip.io) is a social operating system that aims to give people the ability to share and communicate in real-time. You can search what other people are communicating about in real-time based on contextual, geographical, and chronological relevance." More precisely, it is a web applications that mimics a desktop environment.

*jabber.org migration*

The jabber.org XMPP service has now migrated to M-Link server from Isode. Registration is still closed as the service is in stabilization phase.

*The polish Nasza Klasa social network on XMPP: NKtalk*

[Nasza Klasa](http://nasza-klasa.pl/) ("our class" in polish) is a large social network site in Poland. The [NKTalk](http://nasza-klasa.pl/nktalk) chat system is based on [erlang and XMPP](http://erlang-consulting.com/press-releases/3/entry/1129).

*lyricsfly*

[Jack Moffitt](http://metajack.im/2010/01/13/song-lyrics-xmpp-bot-and-tutorial/) mentions [Abhinav Singh](http://abhinavsingh.com/)'s [bot lyricsfly](xmpp:lyricsfly@gtalkbots.com) and tutorials on applications development based on the JAXL library.

*U Federation*

Guillaume Le Galès has [launched U Federation](http://www.marketing3.fr/2010/01/20/lancement-de-u-federation-et-de-u-pro-la-video-en-direct-pour-tous/), a new beta service for personalized multi-user chats, based on XMPP. It lets you groupchat and broadcast live audio/video in the MUC.

*ReaTiWe and PaaS*

[ReaTiWe](http://reatiwe.appspot.com/) (for "real-time web") is an application hosted on the Google App Engine (GAE), which is a "playground for all cool real-time-related stuff", including technologies such as XMPP, WebHooks, and PuSH (PubSubHubbub). It relies on [PaaS](http://status.zhware.net/) for Presence-as-a-Service, which is using XMPP presence stanza for microblogging. Both [ReaTiWe](http://github.com/zh/reatiwe) and [PaaS](http://status.zhware.net/) source codes are published by [Stoyan Zhekov](http://zh.soup.io/).

*Google Wave gateway*

ProcessOne has put online a [Google Wave gateway](http://www.process-one.net/en/blogs/article/google_wave_xmpp_notification_gateway/) on the Talkr.IM public XMPP server.

Feel free to talk about the XMPP Roundup everywhere, especially on your blogs and microblogs.
