---
title: XMPP Roundup 13: Specifications
date: 2010-02-22 11:50
author: Nyco
blog_id: blog
category: XMPP Roundup
---

Welcome to the Specification part of the XMPP Roundup \#13, your irregular news from the XMPP community. It has been a long time since we have reported on specifications changes. Here is a short summary of what happened since September.

This edition has been brought to you by Johann, Kevin, Will, Guillaume, Peter, and Nicolas.

**Publishing Tools**

XSF member [Tobias Markmann](http://ayena.de) has been doing great work on our publishing tools. In addition to improving the [primary XEP page](https://xmpp.org/extensions/) by enabling you to filter based on XEP type and status, he has developed a way for us to generate our specs in PDF format, with syntax highlighting for example stanzas. You can now download each one of them, read them while offline, and distribute them to your customers, partners, and best friends. You can also get the full pack as a tarball: [xepbundle.tar.bz2](https://xmpp.org/extensions/xepbundle.tar.bz2).
[Tobias](http://ayena.de) and Waqas Hussain have also been working on a [tool to compare XEP versions](https://xmpp.org/extensions/diff) that recently went live. Thank you very much Tobias and Waqas!

**Technical Review Team at work: Multi-User Chat**

The newly-created [Technical Review Team](https://xmpp.org/xsf/teams/techreview/) is currently working to complete a thorough review of the venerable [XEP-0045: Multi-User Chat](https://xmpp.org/extensions/xep-0045.html). The team is also taking on more responsibility for maintenance of existing specs and publishing of new ones. We'll have a full report on those efforts in the near future.

**XEP Submissions**

Because use of XMPP continues to grow, the XSF receives new XEP proposals on a regular basis. The latest submissions are:

-   [Jingle Relay Nodes](https://xmpp.org/extensions/inbox/jingle-nodes.html)
-   [Server IP Check](https://xmpp.org/extensions/inbox/sic.html)

**New XEPs**

These are the new XEPs have been accepted as 'Experimental' by the [XMPP Council](https://xmpp.org/council/):

-   [XEP-0275: Entity Reputation](https://xmpp.org/extensions/xep-0275.html)
-   [XEP-0276: Temporary Presence Sharing](https://xmpp.org/extensions/xep-0276.html)
-   [XEP-0277: Microblogging over XMPP](https://xmpp.org/extensions/xep-0277.html)

**Last Call**

As XEPs move through the XSF's standards process, they are proposed for advance from 'Experimental' to 'Draft' (or 'Active' for informational specs). The following XEPs are in last call before moving ahead:

-   [XEP-0226: Message Stanza Profiles](https://xmpp.org/extensions/xep-0226.html)
-   [XEP-0227: Portable Import/Export Format for XMPP-IM Servers](https://xmpp.org/extensions/xep-0227.html)

**Moving to Draft**

Since our last roundup, one XEP has been advanced to 'Draft':

-   [XEP-0270: XMPP Compliance Suites 2010](https://xmpp.org/extensions/xep-0270.html)

**Updated Specs**

The XSF's specifications are living documents that are updated regularly as we receive bug reports, feature requests, implementation feedback, and discussion in our chatrooms and email lists. Since the last roundup updates have been committed to the following XEPs:

-   [XEP-0189: Public Key Publishing](https://xmpp.org/extensions/xep-0189.html)
-   [XEP-0166: Jingle](https://xmpp.org/extensions/xep-0166.html)
-   [XEP-0167: Jingle RTP Sessions](https://xmpp.org/extensions/xep-0167.html)
-   [XEP-0177: Jingle Raw UDP Transport Method](https://xmpp.org/extensions/xep-0177.html)
-   [XEP-0249: Direct MUC Invitations](https://xmpp.org/extensions/xep-0249.html)
-   [XEP-0215: External Service Discovery](https://xmpp.org/extensions/xep-0215.html)
-   [XEP-0273: Stanza Interception and Filtering Technology](https://xmpp.org/extensions/xep-0273.html)
-   [XEP-0260: Jingle SOCKS5 Bytestreams Transport Method](https://xmpp.org/extensions/xep-0260.html)
-   [XEP-0261: Jingle In-Band Bytestreams Transport Method](https://xmpp.org/extensions/xep-0261.html)
-   [XEP-0234: Jingle File Transfer](https://xmpp.org/extensions/xep-0234.html)
-   [XEP-0253: PubSub Chaining](https://xmpp.org/extensions/xep-0253.html)
-   [XEP-0268: Incident Reporting](https://xmpp.org/extensions/xep-0268.html)
-   [XEP-0124: Bidirectional-streams Over Synchronous HTTP (BOSH)](https://xmpp.org/extensions/xep-0124.html)
-   [XEP-0227: Portable Import/Export Format for XMPP-IM Servers](https://xmpp.org/extensions/xep-0227.html)
-   [XEP-0251: Jingle Session Transfer](https://xmpp.org/extensions/xep-0251.html)
-   [XEP-0181: Jingle DTMF](https://xmpp.org/extensions/xep-0181.html)
-   [XEP-0175: Best Practices for Use of SASL ANONYMOUS](https://xmpp.org/extensions/xep-0175.html)
-   [XEP-0136: Message Archiving](https://xmpp.org/extensions/xep-0136.html)
-   [XEP-0085: Chat State Notifications](https://xmpp.org/extensions/xep-0085.html)

**Deferred Specs**

At any one time, many XEPs are under consideration in the 'Experimental' state. If any given XEP is not updated in 12 months, its status is changed to 'Deferred'. There is no shame in being deferred, since that happens quite often. Since our last roundup the following XEPs have been deferred:

-   [XEP-0152: Reachability Addresses](https://xmpp.org/extensions/xep-0152.html)
-   [XEP-0225: Component Connections](https://xmpp.org/extensions/xep-0225.html)
-   [XEP-0186: Invisible Command](https://xmpp.org/extensions/xep-0186.html)
-   [XEP-0214: File Repository and Sharing](https://xmpp.org/extensions/xep-0214.html)
-   [XEP-0254: PubSub Queueing](https://xmpp.org/extensions/xep-0254.html)
-   [XEP-0252: BOSH Script Syntax](https://xmpp.org/extensions/xep-0252.html)
-   [XEP-0168: Resource Application Priority](https://xmpp.org/extensions/xep-0168.html)
-   [XEP-0197: User Viewing](https://xmpp.org/extensions/xep-0197.html)
-   [XEP-0196: User Gaming](https://xmpp.org/extensions/xep-0196.html)
-   [XEP-0195: User Browsing](https://xmpp.org/extensions/xep-0195.html)
-   [XEP-0194: User Chatting](https://xmpp.org/extensions/xep-0194.html)

That's it for this roundup. In the future we plan to post shorter but more frequent entries about the XSF's specs activity, so stay tuned for updates. And of course if you are especially interested in XEPs, you can join the [Standards mailing-list](https://mail.jabber.org/mailman/listinfo/standards) or just read the [archives](https://mail.jabber.org/pipermail/standards/).
