---
title: XMPP Roundup #6
date: 2009-02-16 10:07
author: Nyco
blog_id: blog
category: XMPP Roundup
---

**Foreword**

Welcome to the 6th roundup of the XMPP community worldwide.

This edition has been written by [Nicolas Vérité](http://nyco.wordpress.com/) with contributions from [Will Sheward](http://www.willsheward.co.uk), Cédric, and [Mickaël Rémond](http://www.process-one.net/en/blogs/). Contributions are welcome for future editions.

**Mats Bengtsson passed away**

It is with great regret that we learned though Mari Lundberg and Sander Devrieze, that Mats Bengtsson, lead developper of the Coccinella XMPP client, [passed away in november 2008](http://coccinella.im/mats-bengtsson). Rest in peace Mats.

**10 years of Jabber**

Jehan is hosting an event celebrating 10 years of Jabber and has issued a [call for sponsors and papers](http://jehan.zemarmot.net/blog/2009/01/22/10-ans-lage-de-linsouciance-appel-a-conferenciers-et-sponsors/). The event will take place at Carrefour Numérique in Paris, France, on Saturday, the 28th of February.

**Talks and articles**

*Social networks based on XMPP*

At the 25th Chaos Communication Congress in Germany, [Jan Torben](http://www.jtheuer.de/) gave a talk on "Privacy in the social semantic web : Social networks based on XMPP", the [slides are available](http://events.ccc.de/congress/2008/Fahrplan/events/2873.en.html) in PDF format.

*Low bandwidth XMPP*

Isode has released a whitepaper dealing with "[Operating XMPP over Radio and Satellite Networks](http://www.isode.com/whitepapers/low-bandwidth-xmpp.html)", or constrained and low-bandwidth links. They gave a talk on this subject at the High Frequency Industry Association meeting in San Diego last week. Slides are available in PDF format [from Isode's blog](http://blog.isode.com/2009/02/xmpp-over-hf-radio.html).

*Introduction to Jingle*

Peter Saint-Andre [has written an article](http://www.tmcnet.com/unified-communications/1108/Give-me-a-Jingle.htm) in Unified Communications Magazine, entitled "Give me a Jingle (It's a Multi-Protocol World)" presenting Jingle to SIP people.

*Real-time trading system*

Though we have almost no information, Artur Hefczyc [chatted with someone](http://www.tigase.org/en/content/chat-minichat) developping a real-time trading system in which Tigase XMPP Server is the critical messaging piece, another piece of evidence that XMPP is widely used as a secret competitive advantage in many companies.

*Developing a lingua franca for instant messaging*

David Banes has written an article for IDM Magazine, entitled "[Developing a lingua franca for instant messaging](http://www.cleartext.com/downloads/IDM_NovDec_08_XMPP.pdf)" (PDF), comparing e-mail ten years ago to IM today.

*Pidgin user survey*

Pidgin develoment team has released the [results of its user survey](http://pidgin.im/survey/results/survey0summary.html): though it's focused on Piding only, some figures are very interesting.

*Push technologies*

Zac has put online a good [explanation of push technologies](http://www.loiclemeur.com/france/2009/01/une-bonne-explication-du-web-en-temps-reel-qui-se-profile.html), in an 8 minutes video, using pen+paper presentation technologies.

*XMPP/Jabber presentation in Toulouse, France*

Simon Chemouil et Geoffroy Youri presented XMPP/Jabber, on wednesday 21st of Januray, at Toulouse, France. Toulibre is the LUG that hosted the event, the [video is available for download in Ogg Theora](http://www.toulibre.org/pub/2009-01-21-rencontre/video/simon-chemouil-geoffroy-youri-jabber-xmpp.ogv) (666 MB, 2h27), and the slides in PDF: [part 1](http://www.toulibre.org/pub/2009-01-21-rencontre/xmpp_conf.pdf) and [part 2](http://www.toulibre.org/pub/2009-01-21-rencontre/xmpp_jabber_geoffroy.pdf).[](http://www.toulibre.org/pub/2009-01-21-rencontre/xmpp_jabber_geoffroy.odp)

**Services and software**

*idsoftware's Quakelive uses XMPP*

[ProcessOne reports](http://www.process-one.net/en/blogs/article/idsoftware_quakelive_service_uses_xmpp/) that [Quakelive](http://quakelive.com), idsoftware's new online first-person shooter game, is using XMPP for its chatrooms and presence, as it is showed by screenshots and demos. They use the [GaimTheory](http://www.gaimtheory.com/) platform, which has XMPP involved.

*Cleartext announces XMPP IM SaaS*

Sydney based messaging SaaS provider [Cleartext](http://www.cleartext.com/) has [launched](http://www.cleartext.com/news.html) a new XMPP based instant messaging service called [ClearIM](http://www.cleartext.com/services/enterprise-instant-messaging.html).

*Pizzja*

[David Ammouial](http://da.weeno.net/) has released [Pizzja](http://trac.last-exile.org/pizzja/) ("pizz-yah"), a Jabber component that allows you to control a single connection (resource) to your Jabber account using several clients. It is written in Python under GPLv2.

*Enomaly's Elastic Computing Platform (ECP)*

[Elastic Computing Platform (ECP)](http://www.enomaly.com/Product-Overview.419.0.html), from Enomaly, is a virtual infrastructure management software, that uses XMPP as its core "decentralized command and control" component.

*tribook.net has XMPP*

[tribook.net](http://tribooknet.com) is a software for training tracking: hardware, runs, trainings, best performances, calendar, and competitions results. [Olivier Anguenot](http://www.windaware.com/) has added XMPP chat features, allowing chat sessions with coaches and other community members, as well as file exchange.

*KsirK network mode*

[KsirK](http://games.kde.org/game.php?game=ksirk), the strategy game, in version included in the fresh new KDE 4.2, has a network mode based on XMPP.

*Kopete has Jingle*

Still in the KDE 4.2 world, [Kopete](http://kopete.kde.org/), the desktop environment's instant messaging application, has now audio conversations features via Jingle.

*Ubiety: opensource C\# library*

[Ubiety](http://ubietyxmpp.ca/) [yoo-bahy-i-tee] is an XMPP library written in C\# by Dieter Lunn, published under LGPLv3 license.

*Desknote*

[Desknote](http://code.google.com/p/desknote/) is a multiplatform (Linux, Mac OS X and Windows) microblogging GTK client for the [menéame](http://meneame.net/) platform, written in C\#/Mono and released under the GPLv3 license.

*ActionMessenger*

[ActionMessenger](http://trypticon.org/software/actionmessenger/) is a Ruby on Rails framework for instant messagging inspired by and similar to Action Mailer, written by Daniel Noll under a BSD license.

*JAXL*

[JAXL](http://code.google.com/p/jaxl/) ("Jabber XMPP Library" or "Just Another XMPP Library") is an XMPP library written in PHP, under the GPLv3 license.

*shaim*

[shaim](http://shaim.net/) is a multi-protocol instant messaging application written in C\# for Windows only, and published under a BSD license.

*Jabber Feed 0.4*

Jehan [has announcedJabber Feed 0.4](http://jehan.zemarmot.net/blog/2009/01/16/jabber-feed-04-levolution-avant-la-revolution/), a WordPress plugin, allowing to cross-post to PubSub. It has now TLS, SASL, automatic creation and configuration of PubSub nodes, SRV records, and much more...

*identi.ca evolutions*

[identi.ca](http://identi.ca/) open micro-blogging platform based on [laconi.ca](http://laconi.ca) software underwent an update, adding a new visual refresh, groups, and much more.

*headstock*

[Sylvain Helegouarch](http://www.defuze.org/) has [released](http://www.defuze.org/archives/159-xmpp-and-ironpython-2-using-headstock-bridge-and-kamaelia.html) a Python library under the modified BSD license, named [headstock](http://trac.defuze.org/wiki/headstock), that can run under IronPython 2.

*Prosody 0.3.0*

Matthew Wild has [announced Prosody 0.3.0](https://mail.jabber.org/pipermail/jdev/2009-February/028783.html), the most notable change being its license, from GPL to MIT/X11.

*Apple'siCal Server using XMPP's PubSub for push-notifications*

AppleInsider has a [lengthy article](http://www.appleinsider.com/articles/09/02/11/iphone_push_notification_server_tied_to_snow_leopard_server.html&page=2) about the upcoming Mac OS X Snow Leopard, saying "*Apple's iCal Server, [...] is being updated to use XMPP publish-subscribe, an IETF open standard branching from the core of the Jabber IM service.*" Remonder

**Specifications**

Many specifications have advanced their state since last roundup:

*Last call*

-   [XEP-0232: Software Information](https://xmpp.org/extensions/xep-0232.html) This document specifies an extended data format whereby XMPP service discovery responses can include detailed information about the software application that powers a given XMPP entity for including detailed data about the in service discovery responses.

*1.0 / Active*

-   [XEP-0205: Best Practices to Discourage Denial of Service Attacks](https://xmpp.org/extensions/xep-0205.html)This document recommends a number of practices that can help discourage denial of service attacks on XMPP-based networks.
-   [XEP-0245: The /me Command](https://xmpp.org/extensions/xep-0245.html)This specification defines recommended handling of the /me command in XMPP instant messaging clients.

*Retracted*

-   [XEP-0208: Bootstrapping Implementation of Jingle](https://xmpp.org/extensions/xep-0208.html)This document provides guidelines to XMPP client developers for bootstrapping implementation of Jingle technologies.

*Initial*

-   [XEP-0258: Security Labels in XMPP](https://xmpp.org/extensions/xep-0258.html) This document describes the use of security labels in XMPP. The document specifies how security label metadata is carried in XMPP, when this metadata should or should not be provided, and how the metadata is to be processed.
-   [XEP-0257: Client Certificate Management for SASL EXTERNAL](https://xmpp.org/extensions/xep-0257.html)This specification defines a method to manage client certificates that can be used with SASL External to allow clients to log in without a password.
-   [XEP-0259: Message Mine-ing](https://xmpp.org/extensions/xep-0259.html) In servers that deliver messages intended for the bare JID to all resources, the resource that claims a conversation notifies all of the other resources of that claim.

*Deffered*

-   [XEP-0209: Metacontacts](https://xmpp.org/extensions/xep-0209.html) This document specifies an XMPP protocol extension for defining metacontacts and grouping member JIDs.
-   [XEP-0165: Best Practices to Discourage JID Mimicking](https://xmpp.org/extensions/xep-0165.html) This document recommends best practices to discourage mimicking of Jabber IDs.
-   [XEP-0227: Portable Import/Export Format for XMPP-IM Servers](https://xmpp.org/extensions/xep-0227.html) This document specifies a file format for importing and exporting user data to and from XMPP-IM servers.

**Afterword**

Once again, a busy period for the XMPP community worldwide, further advancing  the capabilities and ubiquity of XMPP.
