---
title: XMPP Roundup #7: Brussels Report
date: 2009-02-25 21:44
author: stpeter
blog_id: blog
category: XMPP Roundup
---

[Reporter: Peter Saint-Andre]

Before the memories of [XMPP Summit 6](https://xmpp.org/summit/summit6.shtml) fade away, I wanted to provide a brief report on the latest and greatest of our "IRL" (in real life) meetings.

We held the first XMPP Summit in the summer of 2005 to perform server interop testing and discuss topics of interest. Thirteen developers showed up and we made good progress on a number of issues, including the pubsub simplifications now known as [Personal Eventing Protocol](https://xmpp.org/extensions/xep-0163.html).

Fast forward to 2009 for the sixth summit, where over 40 developers participated -- so many that we needed to split up into smaller discussion groups to complete some serious work. During the official XMPP Summit day (Monday the 9th) we had formal or informal break-out groups about [mobile optimizations](https://mail.jabber.org/pipermail/mobile/2009-February/000061.html), [BOSH](https://mail.jabber.org/pipermail/bosh/2009-February/000146.html), [pubsub](https://mail.jabber.org/pipermail/pubsub/2009-February/000086.html), [operational challenges](https://mail.jabber.org/pipermail/operators/2009-February/000390.html), [Jingle](https://mail.jabber.org/pipermail/jingle/2009-February/000542.html), security, and several other topics. As a result we came up with clear action items to work on regarding a number of XMPP technologies, some of which have already been completed and others of which are underway. Expect the remaining items to be mostly finished in the next few weeks.

The one-day XMPP Summit was not the only activity in Brussels. We got started on Friday the 6th with a "Jingle Thingle", which was similar in format to the very first Summit by including both interop testing and discussion. Voice and video calls were completed and we talked about the use of Jingle for both file transfer and end-to-end encryption, resulting in Jingle "profiles" of both [SOCKS5 Bytestreams](https://xmpp.org/extensions/xep-0260.html) and [In-Band Bytestreams](https://xmpp.org/extensions/xep-0261.html) as well as a promising proposal for [encryption](https://xmpp.org/internet-drafts/draft-meyer-xmpp-e2e-encryption-00.html) of XMPP traffic. This event helped us get much closer to stabilizing Jingle and advancing the core specifications to a status of Draft in our standards process, which should happen in the very near future.

Saturday the 7th and Sunday the 8th were outreach days at [FOSDEM](http://fosdem.org/), one of the largest open-source conferences in Europe. On Saturday the XMPP community had a "devroom" from 1 PM to 7 PM, where we presented numerous talks and tutorials about XMPP technologies (thanks to everyone who volunteered to speak). The room held 75 people but it was overflowing almost the entire time! On both Saturday and Sunday we also had a hallway stand where we spread the word and sold out of our first-ever batch of XMPP T-shirts.

Keeping with tradition, on Sunday evening we held an XMPP dinner so that developers could get to know each other on a more personal level. At Summits past the XMPP Standards Foundation has paid for the dinner, but this year we took a more flexible approach by asking individuals and companies to chip in toward the cost. Many thanks to Nokia, Isode, StanzIQ, bluendo, AG-Software, Flosoft.biz, Thomas Koeppen, and several other individuals for helping to defray the costs. Special thanks go out to Florian Jensen of Flosoft.biz for acting as our "man on the ground" in Brussels to help coordinate with the restaurant as well as the hotel where we held the Jingle Thingle and XMPP Summit.

Our in-person conferences continue to grow in popularity and we're already looking forward to XMPP Summit 7 in North America this summer (exact dates and location yet to be announced). The energy in the XMPP community is palpable, so expect more good things in the months ahead as our work in Brussels bears fruit.

Onward and upward!
