---
title: XMPP Summit 1
date: 2010-08-10 04:46
author: admin
blog_id: blog
category: XMPP Summit
---

The first developer conference held by the XMPP Standards Foundation occurred on July 24 and 25, 2006, in Portland, Oregon, USA (the same week as [OSCON 2006](http://conferences.oreillynet.com/os2006/)).

Note: The following information is archived here for historical purposes (last updated 2006-07-25).

### Purpose
The purpose of this event was to test interoperability between multiple implementations of the XMPP RFCs (3920 and 3921).

All participants were be expected to file implementation reports (in accordance with a format and template yet to be developed), which will form one input to the process of advancing the XMPP specifications from Proposed Standard to Draft Standard within the Internet Standards Process at the IETF (see [RFC 2026](http://www.faqs.org/rfcs/rfc2026.html)).

The other expected outcome will be a consensus set of proposed modifications and clarifications to the XMPP RFCs for discussion on the mailing list of the XMPP WG after the event concludes.

### Focus
The main focus of this event will be server testing. Testing of clients that are in or near full compliance with the XMPP RFCs will also occur (XMPP is a client-server technology, so we need both), but given the large number of Jabber/XMPP clients it will not be feasible to test very many clients. A set of test cases will be published several months in advance for use by the participants. The test cases will focus only on protocol compliance, not scalability, reliability, ease of use, or other such factors.

This will be a small, developer-only event. No customers, no marketing people, no guano. All bugs will stay in the room.

This is not a more general developer conference. While the JSF may hold such conferences in the future, this is a small, focused, interop testing event. However, participants are encouraged to attend OSCON (same week, same city) and to get involved in Jabber-related activities there.

### Logistics
The JSF will charge \$200 per person in order to cover costs associated with hosting of the event. This fee will be waived for open-source developers. Please make payment via PayPal to the address "paypal@jabber.org" or by check to JSF P.O. Box 1641 Denver CO 80201 USA. You may also pay in person at the event.

Although originally we thought space might be limited because of the venue, that is no longer the case. Multiple participants from participating companies are welcome.

If you are interested in participating in this event, please contact Peter Saint-Andre directly via IM.

### Attendees
The confirmed attendees as of 2006-07-17 are:

-   Jacques Belissent (Sun)
-   Artur Bergman (SixApart)
-   Gary Burd (Google)
-   JD Conley (Coversant)
-   Gaston Dombiak (Jive Software)
-   Joe Hildebrand (Jabber Inc.)
-   Justin Karneges (Psi)
-   Mridul Muralidharan (Sun)
-   Mickael Remond (Process-One / ejabberd)
-   Peter Saint-Andre (JSF)
-   Alexey Shchepin (Process-One / ejabberd)
-   Travis Shirk (Jabber Inc.)
-   Matt Tucker (Jive Software)

### Communication
A [dedicated mailing list](https://mail.jabber.org/mailman/listinfo/interop) is available for attendees and interested others (e.g., those who would like to discuss test case development). The list is [publicly archived](https://mail.jabber.org/pipermail/interop/).

### Interop Activities
All work and no play makes XMPP a sad protocol. On Monday at 6:30 we'll gather for dinner at [Henry's](http://portland.citysearch.com/profile/40854242), which is a short walk from the interop venue. The cost of dinner is included with the interop event fees. On Tuesday at 5:00 (or when the interop event wraps up), all are invited to the Jive Software office (also a short walk) for an Oregon beer and wine tasting.
