---
title: XMPP Summit 2
date: 2010-08-10 04:41
author: admin
blog_id: blog
category: XMPP Summit
---

The second developer conference held by the XMPP Standards Foundation occurred on February 26, 2007, in Brussels, Belgium (the same week as [FOSDEM 2007](http://www.fosdem.org/)).

Note: The following information is archived here for historical purposes (last updated 2007-02-26).

### Agenda
A detailed agenda will be worked out at FOSDEM 2007 through a just-in-time process of discussion. In general there will be two main activities: (1) in-depth problem-solving related to pressing XMPP protocol extensions and (2) interoperability testing of codebases represented by developers in attendance.

**Discussion Topics**

At FOSDEM 2007 we talk informally about high-priority topics in the XMPP world, but at the one-day devcon we will devote more time to in-depth problem solving and technology development. Here are some potential topics for discussion:

-   Personal Eventing via Pubsub (PEP)
-   End-to-end encryption
-   Jingle
-   Spim prevention
-   Set up of an online environment for ongoing testing
-   Establishment of a certification program
-   Simultaneous XML editing (for whiteboarding etc.)
-   SASL EXTERNAL and the Intermediate Certification Authority (ICA)
-   Clarifications to rfc3920bis

### Testing Focus
The focus for this event will still be core XMPP compliance, including the modifications in rfc3920bis and rfc3921bis, with a special focus on TLS and SASL. We will also test service discovery and entity capabilities. This will help us complete the RFC changes and prepare for work on a compliance program.

### Logistics
The meeting will be held 08:30 to 16:30 local time at the [Atlas Hotel](http://www.atlas-hotel.be/) at Rue du Vieux Marché aux Grains 30 in Brussels. We have reserved a block of rooms at the hotel but it is downtown so other options (youth hostels etc.) are conveniently located nearby. If you reserve a room at the Atlas Hotel, please specify "XMPP conference on 26 Feb" in the comments so you get the right room rate.

Here is the rate:

-   Single room: weekend price : 75 euros, week price : 114 euros
-   Double room: weekend price: 85 euros, week price : 129 euros

Breakfast and taxes included.

Room sharing is encouraged. Join the [FOSDEM discussion list](https://mail.jabber.org/mailman/listinfo/fosdem) to discuss room sharing and logistics information with other participants.

The XSF will also hold an informal dinner on Sunday evening for all participants.

### Participants
The following people are confirmed for participation in the Monday Summit:

-   Eric de Boer(Jeti)
-   [Alexander Gnauck](xmpp:gnauck@myjabber.net "xmpp:gnauck@myjabber.net") (AG-Software / XSF Board)
-   Artur Hefczyc (Tigase)
-   Ralph Meijer (Twisted Matrix Labs / XMPP Council)
-   Ian Paterson (ClientSide / XMPP Council)
-   Mickaël Rémond (Process-one / XSF Board)
-   [Peter Saint-Andre](xmpp:stpeter@jabber.org "xmpp:stpeter@jabber.org") (XMPP Standards Foundation)
-   Kevin Smith (Psi / XMPP Council)
-   Matt Tucker (Jive Software / XSF Board)
-   [Jakob Schröter](xmpp:js@camaya.net "xmpp:js@camaya.net")
-   [Yann Biancheri](xmpp:yann.biancheri@gmail.com "xmpp:yann.biancheri@gmail.com") (Horizon Wimba)
-   [Remko Tronçon](http://el-tramo.be/about/ "http://el-tramo.be/about/")
-   Matthias Wimmer (amessage / jabberd14)
-   Jonas Lindberg (Google)
-   Robert McQueen (Collabora)
-   Dafydd Harries (Collabora)

The following people will attend FOSDEM but are not yet confirmed for the Summit on Monday:

-   Gregoire Menuel (JabberFR)
-   Ben Turner (Siemens)
