---
title: XMPP Summit 5
date: 2010-08-10 04:36
author: admin
blog_id: blog
category: XMPP Summit
---

The XMPP Standards Foundation will hold its fifth "XMPP Summit" meeting on July 21 and 22, 2008, in Portland, Oregon, USA (the same week as [OSCON 2008](http://conferences.oreilly.com/oscon/)).
Read on for details.

1.  [Participants](#participants) 
2.  [Agenda](#agenda) 
3.  [Logistics](#logistics) 
4.  [Events](#events)

<a name="participants"></a>
### Participants
Participation is open to all developers, service operators, and other interested individuals. Please note that this is a hard-code technical get-together with plenty of coding sprints, hackfests, interop testing, brainstorming sessions, geeky lightning talks, etc. This meeting is not intended for marketing presentations and other fluff!

If you would like to participate, please join the [summit@xmpp.org](https://mail.jabber.org/mailman/listinfo/summit) mailing list and introduce yourself.

The following individuals have indicated that they will attend:

1.  Dietrich Ayala, [Mozilla](http://www.mozilla.com/) 
2.  Nathan Bell, [Intrigo](http://www.intrigo.com/) 
3.  Eric Butler 
4.  Fadi Chalfoun, [Intrigo](http://www.intrigo.com/) 
5.  Diana Cionoiu, [Yate](http://yate.null.ro/) 
6.  Anders Conbere 
7.  Blaine Cook 
8.  Leah Culver, [Pownce](http://pownce.com/) 
9.  Kevin Davie, [Zleek](http://zleek.com/) 
10. Gaston Dombiak, [Jive Software](http://www.jivesoftware.com/) 
11. Seth Fitzsimmons, [Yahoo](http://www.yahoo.com/) 
12. Nathan Fritz, [Seesmic](http://www.seesmic.com/) 
13. Will Glozer, [Heysan](http://heysan.com/) 
14. Jared Hanson 
15. Artur Hefczyc, [Tigase Project](http://www.tigase.org/) 
16. Evan Henshaw-Plath 
17. Christian Hergert, [MySpace](http://www.myspace.com/) 
18. Joe Hildebrand, [Jabber Inc.](http://www.jabber.com/) 
19. Ron Hose, [TokBox](http://www.tokbox.com/) 
20. Justin Karneges, [Psi project](http://psi-im.org/) 
21. Sam Keen, [Portland PHP Users Group](http://pdxphp.org/) 
22. Asheesh Laroia, [Creative Commons](http://creativecommons.org/) 
23. Patrick Logan 
24. Eric Marcoullier, [Gnip](http://www.gnipcentral.com/) 
25. Chris Messina, [Vidoop](http://www.vidoop.com/) 
26. Ralph     Meijer, [Mediamatic](http://www.mediamatic.nl/set-48-nl.html?lang=en)
27. Jack Moffit, [Chesspark](http://www.chesspark.com/) 
28. Pushpendra Mohta, [Vayusphere](http://www.vayusphere.com/) 
29. Allen Morris 
30. Dan Mosedal, [Mozilla](http://www.mozilla.com/) 
31. Don Park 32. Russell Okamoto 
33. Michael Ossareh, [Heysan](http://heysan.com/) 
34. Darian Anthony Patrick, [University of     Pennsylvania](http://www.upenn.edu/)
35. Adam Pisoni, [Geni](http://www.geni.com/) 
36. Evan Prodromou, [Identi.ca](http://identi.ca/) 
37. Mickaël Rémond, [Process-One](http://www.process-one.net/) 
38. Peter Saint-Andre, [XSF](https://xmpp.org/) 
39. Krishna Sankar, [Cisco](http://www.cisco.com/) 
40. Jérôme Sautret, [Process-One](http://www.process-one.net/) 
41. Sean Smith 
42. Brendan Taylor 
43. Mike Taylor, [Seesmic](http://www.seesmic.com/) 
44. Matt Tucker, [Jive Software](http://www.jivesoftware.com/) 
45. Justin Uberti, [Google](http://www.google.com/) 
46. Jud Valeski, [Gnip](http://www.gnipcentral.com/) 
47. Ezra Zygmuntowicz, [EngineYard](http://engineyard.com/)

<a name="agenda"></a>
### Agenda
As posted by Peter Saint-Andre on the summit@xmpp.org list, 2008-07-16 (with further tweaking).
This is a rough agenda. As always, agenda bashing is welcome. As much as possible, I'd like to keep the spirit of an [unconference](http://en.wikipedia.org/wiki/Unconference).

The summit hours will be something like this:

-   Monday 9:30 AM to 4:30 PM
-   Tuesday 9:30 AM to 2:30 PM

Typically people are burnt out after a day and a half, thus the shorter day on Tuesday. But feel free to hang around and hack or continue the discussions.

Given that we have \~40 people, it will be difficult to have a productive conversation with only one track because some people will get bored with the current topic and such. Therefore I suggest we hold hold full-group sessions punctuated by breakouts of two or more concurrent threads (T1, T2, etc.). During the multi-threaded times, people can move back and forth as they please for discussion, hacking, interop testing, a change of pace, etc. We'll work out the final details in real time. :)

For the full-group sessions we may use the [fishbowl](http://en.wikipedia.org/wiki/Fishbowl_(conversation)) approach.

For several of the sessions, I've provided URLs for background reading.

Lunch and beverages are included and will be served in the room.

#### Monday
##### 9:30 - 10:00
Introductions, logistics, agenda bashing

##### 10:00 - 11:00
T1: Interop testing setup + discussion about online testing
T2: XMPP 101 + general Q&A to bring newbies up to speed

##### 11:00 - 12:00
[Lightning talks](http://en.wikipedia.org/wiki/Lightning_Talk)!
We have \~40 people. If 6 people present, that's 10 minutes each including Q&A. If 12 people present, that's 5 minutes each. And so on. Any volunteers to present? If not, I'll volunteer you at the summit! ;) I'm particularly interested in short talks about problem areas that we need to focus on during the rest of the summit (or afterwards).

##### 12:00 - 1:00
Semi-working lunch of sorts. Wander off, stick around, hack code, check email, post photos, blog about how much fun you're having, update your GTD app with action items, whatever.

##### 1:00 - 2:00
*Note: we will use these threads as partial input to the HTTP+XMPP "hybrid" discussion at 2:00.*
T1: Microblogging
[https://xmpp.org/extensions/inbox/microblogging.html](https://xmpp.org/extensions/inbox/microblogging.html)
[http://blog.dave.cridland.net/?p=61](http://blog.dave.cridland.net/?p=61)   [https://stpeter.im/?p=2224](https://stpeter.im/?p=2224)   [http://openmicroblogging.org/](http://openmicroblogging.org/)

T2: Server/component interactions
[https://xmpp.org/extensions/xep-0114.html](https://xmpp.org/extensions/xep-0114.html)
[https://xmpp.org/extensions/xep-0225.html](https://xmpp.org/extensions/xep-0225.html)   how to implement protocols like pubsub, pep, and MUC as external components?   how can components access information like rosters and presence?   how to access or share component services in a federated manner? authorization of components or remote users

##### 2:00 - 3:00
Full-group session on hybrid technologies. No, that's not gas and electric, it's HTTP + XMPP. Sub-topics include:

-   When to use HTTP, when to use XMPP?
-   [OAuth](http://oauth.net/) (see [XEP-0235](https://xmpp.org/extensions/xep-0235.html))
-   REST and XMPP (see [here](http://en.oreilly.com/oscon2008/public/schedule/detail/4359), [here](http://www.ics.uci.edu/~fielding/pubs/dissertation/rest_arch_style.htm), [here](http://arch.jabber.com/archives/2003/12/000062.html) and
    [here](https://stpeter.im/?p=1791))
-   Shared rosters / [communities](https://xmpp.org/extensions/inbox/communities.html)

##### 3:00 - 4:00
T1: Jingle I (identify open issues for push to Draft)
T2: Pubsub I (general discussion to identify open issues and apply insights from earlier in the day)

##### 4:00 - 4:30
Wrap-up, feedback, logistics, planning for day 2

#### Tuesday
9:30 - 10:00
Day 1 summary, logistics, agenda bashing

##### 10:00 - 11:00
T1: Jingle II (discuss additional use cases such as SRTP and early media)
T2: PubSub II (discuss uses in hybrid technologies, federation of information exchange)

##### 11:00 - 12:00
T1: Security, spam, etc.
topics: server to server federation, TLS+dialback, TLS+SASL, abuse prevention, end-to-end encryption   [https://xmpp.org/ca/](https://xmpp.org/ca/)
[https://xmpp.org/extensions/xep-0158.html](https://xmpp.org/extensions/xep-0158.html)
[https://xmpp.org/extensions/xep-0159.html](https://xmpp.org/extensions/xep-0159.html)
[https://xmpp.org/extensions/xep-0161.html](https://xmpp.org/extensions/xep-0161.html)
[https://xmpp.org/extensions/xep-0165.html](https://xmpp.org/extensions/xep-0165.html)
[https://xmpp.org/extensions/xep-0205.html](https://xmpp.org/extensions/xep-0205.html)
[https://xmpp.org/extensions/xep-0116.html](https://xmpp.org/extensions/xep-0116.html)
[https://xmpp.org/extensions/xep-0246.html](https://xmpp.org/extensions/xep-0246.html)
[https://xmpp.org/extensions/xep-0247.html](https://xmpp.org/extensions/xep-0247.html)

T2: Mobile optimizations
[https://xmpp.org/extensions/xep-0237.html](https://xmpp.org/extensions/xep-0237.html)
[https://xmpp.org/extensions/xep-0124.html](https://xmpp.org/extensions/xep-0124.html)
[https://xmpp.org/extensions/xep-0206.html](https://xmpp.org/extensions/xep-0206.html)
[https://mail.jabber.org/pipermail/standards/2008-February/017911.html](https://mail.jabber.org/pipermail/standards/2008-February/017911.html)
[https://mail.jabber.org/pipermail/standards/2008-February/018036.html](https://mail.jabber.org/pipermail/standards/2008-February/018036.html)

##### 12:00 - 1:00
Semi-working lunch.

##### 1:00 - 2:00
Open discussion

-   What problems are we facing?
-   What new application spaces are of interest?
-   What do we need to focus on going forward? (see [XSF Roadmap](/about/xsf/xsf-roadmap/))
-   Etc.

##### 2:00 - 2:30
Summary, action items, prep for hacking sessions, etc.

<a name="logistics"></a>
### Logistics
Thanks to gracious assistance from [O'Reilly Conferences](http://www.oreilly.com/), the XMPP Summit will be held at the [Oregon Convention Center](http://www.oregoncc.org/) on Monday July 21 and Tuesday July 22, 2008.

The room number is E142.

You *do not* need to register for OSCON in order to participate in the XMPP Summit. OSCON is a great conference and we encourage you to attend! However, if you want to participate only in the XMPP Summit, you MUST sign in for a free "floor pass" with O'Reilly when you arrive at the convention center.

For transportation, use Portland's [MAX](http://trimet.org/max/) (light rail) service. The Convention Center stop is your friend. :)

As at XMPP Summit 4, the XMPP Standards Foundation will again pay hotel costs for any elected XSF member who attends the Summit. To take advantage of this offer, please make arrangements to stay at the [Marriott City Center](http://www.marriott.com/hotels/travel/pdxct-portland-marriott-city-center/) (see [this message](https://mail.jabber.org/pipermail/summit/2008-June/000039.html)!) and contact [Peter Saint-Andre](https://stpeter.im/?page_id=1968) so he knows to pay for your room and can help arrange room sharing.

During the summit itself, we will use the [summit@conference.jabber.org](xmpp:summit@conference.jabber.org?join) chatroom as a backchannel for discussion, information sharing, complaints, questions, etc.

<a name="events"></a>
### Events
As always, the XSF will host one social event (dinner or somesuch) and we will also have many opportunities to meet in the evenings for some good Portland beer. :)

Dinner will be held on Monday night (July 21) at 7:00 PM, the location is [Kells Irish Restaurant and Pub](http://www.kellsirish.com/portland/index.html) -- details [here](https://mail.jabber.org/pipermail/summit/2008-July/000158.html).
