---
title: XSF Membership
date: 2007-07-02 13:52
author: stpeter
blog_id: blog
category: XSF Organisational
---

Over the weekend, [Alexander Gnauck](https://xmpp.org/xsf/people/agnauck.shtml) ([Secretary](https://xmpp.org/xsf/secretary.shtml) of the XSF) posted a [notice](https://mail.jabber.org/pipermail/jdev/2007-July/025504.html) about the Q3 membership application period. So this seems like a good occasion to explain a bit about how the [XMPP Standards Foundation](https://xmpp.org/) works.

The XSF is a non-profit, membership-based, standards-development organization. The non-profit part means that we're not here to make money. The standards-development part means that our [mission](https://xmpp.org/xsf/mission.shtml) is to produce open standards for communication over the Internet. The membership-based part means that we are run by the [elected members](https://xmpp.org/xsf/members/) of the organization.

Some standards development organizations have members, but you must pay to become a member. Examples include the [W3C](http://www.w3.org/) and [OASIS](http://www.oasis-open.org/). These organizations may do fine work and they may publish open standards, but their processes are essentially closed (unless you work for one of their member companies, you can't provide input to their standards processes).

Other standards development organizations, most particularly the [IETF](http://www.ietf.org/), are completely open (you count as a member of the IETF if you go to one of their meetings or participate on their mailing lists). The IETF has experienced some challenges and complications because of its anarchic nature, which the XSF avoids in part by having a more structured form of membership. Like the IETF, membership in the XSF applies to individuals, not companies (you can't buy your way in, and our standards-development [discussion list](https://mail.jabber.org/mailman/listinfo/standards) is open to all interested individuals, not just elected members of the XSF). Unlike the IETF, the XSF has relatively few members, who are elected by the existing members four times a year based on individual merit rather than company connections.

It may seem that XSF members don't do much, and in a way that's true. Four times a year (January, April, July, and October), they elect new members and decide whether existing members shall remain members. Once a year (late August or early September) they elect a new [XMPP Council](https://xmpp.org/council/) (our technical leadership group, all of whom must be elected members of the XSF) and a new [Board of Directors](https://xmpp.org/xsf/board/). But the membership has ultimate responsibility for the direction of the organization because they can modify the [Bylaws](https://xmpp.org/xsf/docs/bylaws.shtml), remove Board members or other officers such as the [Executive Director](https://xmpp.org/xsf/director.shtml), and in general control the operation of the organization.

In accordance with the meritocratic nature of most open-source projects (where the XSF has its roots), membership in the XSF is a privilege granted to individuals. In accordance with the developer-focused nature of the XSF, most of our members are coders who work on servers, clients, libraries, and other codebases that implement XMPP and various [XMPP extensions](https://xmpp.org/extensions/). Some XSF members work for commercial software vendors. Some work on open-source projects or shareware code or freeware clients. But all of them have contributed in significant ways to the growth of Jabber/XMPP technologies.

So if you build XMPP-based software or services and want to help maintain the XSF, we welcome you to [apply for membership](https://mail.jabber.org/pipermail/jdev/2007-July/025504.html) before July 15.
