---
title: The XMPP Newsletter, 30 March 2018
date: 2018-03-30 00:00
author: jcbrand
blog_id: newsletter 
category: Newsletter
---

Welcome to the second edition of our newsletter.

Marek Foss from *Process One* has published the
[ejabberd 2017 year in review](https://blog.process-one.net/ejabberd-2017-year-in-review/?utm_medium=Newsletter&utm_source=xmppnewsletter).
Ejabberd has had almost regular monthly updates and is now compatible with [XEP-0387: XMPP Compliance Suites 2018](https://xmpp.org/extensions/xep-0387.html).

The folks at *Erlang Solutions* wrote about their
[Real-time Experience at FOSDEM 2018](https://www.erlang-solutions.com/blog/real-time-experience-at-fosdem-2018.html?utm_medium=Newsletter&utm_source=xmppnewsletter).
The article includes summaries of Michał Piotrowski's talk “Scaling messaging systems” and Bartłomiej Górny's “XMPP as the road to innovation”,
as well as links to the video recordings of those talks.

<form style="padding: 10px; text-align:center; margin-bottom: 30px;"
      action="https://tinyletter.com/xmpp" method="post" target="popupwindow"
      onsubmit="window.open('https://tinyletter.com/xmpp', 'popupwindow',
      'scrollbars=yes,width=800,height=600');return true">
<p><label for="tlemail">Subscribe to receive the next edition in your inbox</label></p>
<p><input type="text" placeholder="Email address" name="email" id="tlemail" /></p>
<input type="hidden" value="1" name="embed"/>
<input type="submit" style="padding: 10px; border-radius: 5%" value="Subscribe" />
</form>

Marcel Waldvogel wrote
[XMPP: Chat with a Future](https://netfuture.ch/2016/07/xmpp-chat-with-a-future/?utm_medium=Newsletter&utm_source=xmppnewsletter)
in which he discusses how XMPP, with special focus on the JSXC webchat client,
allows us to add real-time chat to existing software.

Arnaud Joset has been working on making website-authentication via XMPP ([XEP-0070](https://xmpp.org/extensions/xep-0070.html))
more well-known and widespread. Recently he's created a [demo application](https://demo.agayon.be/?utm_medium=Newsletter&utm_source=xmppnewsletter) and wrote a
post about it: [Authentication with XMPP](https://blog.agayon.be/xmpp_auth_django_demo.html?utm_medium=Newsletter&utm_source=xmppnewsletter).

JC Brand has written about what he calls [Slack's bait and switch](https://opkode.com/blog/slacks-bait-and-switch/?utm_medium=Newsletter&utm_source=xmppnewsletter)
in which he argues that Slack's reasoning for dropping their XMPP gateway is disingenious and that XMPP can
either support all the features in Slack already or can be extended to do so.

Still on the topic of Slack, Christian Weiske has written [Slack's XMPP fails](https://cweiske.de/tagebuch/slack-xmpp.htm?utm_medium=Newsletter&utm_source=xmppnewsletter),
in which he documents how he had opened a number of bug reports at Slack, detailing problems with their XMPP
gateway and how they could improve it. None of his bug reports got fixed.

Peter Molnar complains that [we are living in instant messenger hell](https://petermolnar.net/instant-messenger-hell/?utm_medium=Newsletter&utm_source=xmppnewsletter),
extols the virtues of XMPP and laments the fact that it was abandoned or never fully implemented by the large web giants.

Last month we alluded to Georg Lucas' [Jabber Spam Fighting Manifesto](https://github.com/ge0rg/jabber-spam-fighting-manifesto?utm_medium=Newsletter&utm_source=xmppnewsletter)
which has been signed by some well-known public servers.

An alternative [XMPP Manifesto for Freedom](https://gitlab.com/senpie/xmpp-manifesto-for-freedom?utm_medium=Newsletter&utm_source=xmppnewsletter) has been released in response,
in which the author claims that "Spam can be mitigated via client-side entirely" and that server-side measures should not be attempted.
To date it has one signatory.

Vasudeva Kamath has written about [Biboumi - An XMPP-IRC Gateway](https://copyninja.info/blog/xmpp-irc-gateway.html?utm_medium=Newsletter&utm_source=xmppnewsletter)
and how you can set it up.

Daniel Gultsch has written [The rocky road to OMEMO by default](https://gultsch.de/omemo_by_default.html?utm_medium=Newsletter&utm_source=xmppnewsletter) as well
as a [justification for some of the design choices he made in Conversations 2.0](https://gultsch.de/conversations_2_design.html?utm_medium=Newsletter&utm_source=xmppnewsletter).

## Tutorials

Daniel Gakwaya has written another tutorial,
[XMPP Made Simple : Roster and Presence Explained](http://www.blikoontech.com/tutorials/xmpp-made-simple-roster-and-presence-explained?utm_medium=Newsletter&utm_source=xmppnewsletter)
and made a video [XMPP Core explained: Introduction](https://www.youtube.com/watch?feature=youtu.be&v=O0gZSd_oW1g&app=desktop).

## New releases in March 2018

### Servers

* [Ejabberd 18.03](https://blog.process-one.net/ejabberd-18-03/?utm_medium=Newsletter&utm_source=xmppnewsletter)
* [OpenFire 4.2.3](https://discourse.igniterealtime.org/t/openfire-4-2-3-release/81123?utm_medium=Newsletter&utm_source=xmppnewsletter)
* [Metronome 3.8](https://metronome.im/changelogs/3_8?utm_medium=Newsletter&utm_source=xmppnewsletter)

### Clients

* [Conversations 2.0](https://github.com/siacs/Conversations/releases/tag/2.0.0)
* [Pidgin 2.13.0](https://pidgin.im/pipermail/announce/2018-March/000020.html?utm_medium=Newsletter&utm_source=xmppnewsletter)
* [Gajim 1.0.0](https://dev.gajim.org/gajim/gajim/blob/gajim-1.0.0/ChangeLog?utm_medium=Newsletter&utm_source=xmppnewsletter)
* [Converse.js 3.3.4](https://github.com/conversejs/converse.js/releases/tag/v3.3.4)
* [Swift 4.0](https://swift.im/docs/changelog-4-0.html?utm_medium=Newsletter&utm_source=xmppnewsletter)

### Libraries

* [Smack 4.2.3 and 4.3.0-beta1](https://discourse.igniterealtime.org/t/smack-4-2-3-and-4-3-0-beta1-released/80898)

## New Software

* [Jackal, an XMPP server written in Go](https://github.com/ortuman/jackal)
* [python-OMEMO](https://github.com/Syndace/python-omemo?utm_medium=Newsletter&utm_source=xmppnewsletter)

