---
title: The XMPP Newsletter, 01 October 2018
date: 2018-09-30 00:00
author: jcbrand
blog_id: newsletter 
category: Newsletter
---

Welcome to the XMPP newsletter.

It is also available in [French](https://news.jabberfr.org/2018/10/actualite-xmpp/).

If you have an article, tutorial or blog post you'd like us to include in the
newsletter, please [submit it on the XMPP wiki](https://wiki.xmpp.org/web/News_and_Articles_for_the_next_XMPP_Newsletter).

## News

Paul Schaub penned some thoughts on [the future of OMEMO](https://blogs.fsfe.org/vanitasvitae/2018/09/07/future-of-omemo/)
where he discusses some of its current drawbacks and proposes futher improvements.

After nearly two years of running a Matrix server, Disroot have explained
[why they chose to refocus on XMPP instead](https://disroot.org/en/blog/matrix-closure).
Their reasons include better resource consumption and a privacy-respecting architecture.

[Daniel Gultsch visited Mailbox.org](https://translate.google.com/translate?hl=af&sl=de&tl=en&u=https%3A%2F%2Fmailbox.org%2Fdaniel-gultsch-autor-von-conversation-zu-besuch-bei-mailbox-org%2F)
where he held an XMPP workshop and helped them to update their XMPP
service. [Here's the original blog post in German](https://mailbox.org/daniel-gultsch-autor-von-conversation-zu-besuch-bei-mailbox-org/).

Salut à Toi now has one-on-one OMEMO support and when D-Bus is available it can
be [used as a remote-control](https://www.goffi.org/b/74BwHSApD7w7Tr9L9fvR82/news-control-your-media-player-from-omemo).

[Cisco, through their acquisition of Broadsoft, use Tigase XMPP Server](https://tigase.net/blog-entry/cisco-and-broadsoft-use-tigase-software-their-products)
in their products under AGPLv3 license. 

Dino, the GNOME team chat client, now has a [message search feature](https://gnomegsoc2018.wordpress.com/2018/08/31/message-search-merged-into-dino/).

[Ejabberd Business Edition now supports another protocol, MQTT 5](https://blog.process-one.net/first-ever-mqtt-and-xmpp-dual-protocol-server-ejabberd-business-edition/).

JC Brand wrote a [blog post about the Converse 4](https://opkode.com/blog/converse-4-released/)
release in which he talks about the history of the project and his plans for the future.

<form style="padding: 10px; text-align:center; margin-bottom: 30px;"
      action="https://tinyletter.com/xmpp" method="post" target="popupwindow"
      onsubmit="window.open('https://tinyletter.com/xmpp', 'popupwindow',
      'scrollbars=yes,width=800,height=600');return true">
<p><label for="tlemail">Subscribe to receive the next edition in your inbox</label></p>
<p><input type="text" placeholder="Email address" name="email" id="tlemail" /></p>
<input type="hidden" value="1" name="embed"/>
<input type="submit" style="padding: 10px; border-radius: 5%" value="Subscribe" />
</form>

## Tutorials

* [XMPP real-time chat in React Native](https://medium.com/@connectycube/xmpp-real-time-chat-in-react-native-8d6d5d23dd47)

## Software releases

* [Ejabberd 18.09](https://blog.process-one.net/ejabberd-18-09/)

## Clients

* [Conversations 2.3.0](https://github.com/siacs/Conversations/releases/tag/2.3.0)
* [Converse 4.0.0](https://github.com/conversejs/converse.js/releases/tag/v4.0.0) and [4.0.1](https://github.com/conversejs/converse.js/releases/tag/v4.0.1).
* [JSXC 4.0.0 alpha]( https://www.jsxc.org/blog/2018/09/26/v4.0.0-first-alpha-released.html)
* [Monal 2.2 alpha (with OMEMO)](https://monal.im/blog/monal-osx-2-2-with-omemo-alpha/)

## Libraries

* [Strophe.js version 1.2.16](https://github.com/strophe/strophejs/releases/tag/v1.2.16)

## Other software

* [XMPPFrameworkLogger](https://github.com/BrianHenryIE/XMPPFrameworkLogger) An iOS jailbreak tweak to log XMPP communication

