---
title: The XMPP Newsletter, 02 November 2018
date: 2018-11-02 00:00
author: Seve
blog_id: newsletter
category: Newsletter
---

Welcome to the XMPP newsletter.

It is also available in [French](https://news.jabberfr.org/2018/11/actualite-xmpp-novembre/).

If you have an article, tutorial or blog post you'd like us to include in the
newsletter, please [submit it on the XMPP wiki](https://wiki.xmpp.org/web/News_and_Articles_for_the_next_XMPP_Newsletter).

In this newsletter you will find information about an XMPP sprint happening this month in Germany,
an article about XMPP use cases, many software releases and much more.

## News

The Berlin XMPP meetup was held, where Holger Weiß continued his series about the perfect XMPP server setup. [The next Berlin XMPP meetup will be on the 14th of November](https://de.movim.eu/?node/pubsub.movim.eu/berlin-xmpp-meetup). Daniel Gultsch will talk about a brand new feature for Conversations he is working on.

On Saturday the 17th and Sunday the 18th of November an [XMPP sprint will be held in Düsseldorf](https://wiki.xmpp.org/web/Sprints/2018_November_Dusseldorf). It is still possible to sign up for participation.

Daniel Pocock made [a call for participation in the Real Time Communications track at FOSDEM](https://danielpocock.com/fosdem-2019-rtc-cfp). Great opportunity for anyone interested in giving an XMPP talk.

[The XSF is holding Board and Council Elections](https://wiki.xmpp.org/web/Board_and_Council_Elections_2018#Board_of_Directors). Candidates can apply until the 4th of November.

<form style="padding: 10px; text-align:center; margin-bottom: 30px;"
      action="https://tinyletter.com/xmpp" method="post" target="popupwindow"
      onsubmit="window.open('https://tinyletter.com/xmpp', 'popupwindow',
      'scrollbars=yes,width=800,height=600');return true">
<p><label for="tlemail">Subscribe to receive the next edition in your inbox</label></p>
<p><input type="text" placeholder="Email address" name="email" id="tlemail" /></p>
<input type="hidden" value="1" name="embed"/>
<input type="submit" style="padding: 10px; border-radius: 5%" value="Subscribe" />
</form>

## Tutorials

Erlang solutions published some tutorials listed below:

Part one of an XMPP use cases guide titled [21 XMPP use-cases and the best ways to achieve them](https://www.erlang-solutions.com/blog/21-xmpp-use-cases-and-the-best-ways-to-achieve-them.html) 
where one will find an article explaining which XEPs can help software developers when building applications that need to support some XMPP features like groupchats, receive push notifications, etc.

How to set up [Push Notifications with MongoosePush](https://www.erlang-solutions.com/blog/how-to-set-up-push-notifications-with-mongoosepush.html).

How to set up [MongooseICE (ICE/TURN/STUN server)](https://www.erlang-solutions.com/blog/how-to-set-up-mongooseice-ice-turn-stun-server.html).

## Software releases

[Tigase XMPP Server v7.1.4 has been released](https://tigase.net/blog-entry/tigase-xmpp-server-v714-released).

ProcessOne, the company behind ejabberd, wrote about improvements made for ejabberd Business Edition and
ejabberd SaaS, [including HTTP file transfer using S3 and Minio, unread inbox support and more](https://blog.process-one.net/whats-new-in-ejabberd-business-edition-and-ejabberd-saas-in-october/).

RTB (Real-Time Benchmark) can now be used for XMPP benchmarks and MQTT. [It supports MQTT 3.1.1 and 5.0](https://blog.process-one.net/rtb-benchmark-now-supports-mqtt/).


## Clients

October has been an active month for Converse.js. Three releases went out. All of them are available in Github,
with [4.0.4 being the latest release](https://github.com/conversejs/converse.js/releases/tag/v4.0.4).

## Libraries

The Smack library [released its 4.3.1 version](https://discourse.igniterealtime.org/t/smack-4-3-1-released/83075).

JaXMPP (Tigase client library) [reaches version 3.2.0 with many fixes and new features including support for XEP-0363 HTTP File Upload and other interesting ones](https://tigase.net/blog-entry/tigase-client-library-v320-released).

Two XMPP libraries for JavaScript got a new release in October.
Check the latest versions for [Strophe.js](https://github.com/strophe/strophejs/releases/tag/v1.3.0) and
[xmpp.js](https://github.com/xmppjs/xmpp.js/releases/tag/v0.5.2)

Escalus 4.0.0 comes with a [new XML parser and some other features like an included XML viewer](https://www.erlang-solutions.com/blog/escalus-4-0-0-faster-and-more-extensive-xmpp-testing.html).


## Other software

JSXC released the [latest version for the Nextcloud authentication hub](https://www.jsxc.org/blog/2018/10/14/xcauth-v2.0.3-released.html) called xmpp-cloud-auth (also known as xcauth).
