---
title: The XMPP Newsletter, 28 February 2019
save_as: 2019/02/newsletter-28-february/index.html
url: 2019/02/newsletter-28-february/
date: 2019-02-28 00:00
author: jcbrand
blog_id: newsletter
category: Newsletter
---

Welcome to the XMPP newsletter.

If you have an article, tutorial or blog post you'd like us to include in the
newsletter, please [submit it on the XMPP wiki](https://wiki.xmpp.org/web/News_and_Articles_for_the_next_XMPP_Newsletter).

## News

### FOSDEM

In the beginning of February was the annual [FOSDEM19](https://fosdem.org/2019/) conference in Brussels
which was well attended by XMPP enthusiasts and where 5 different talks related
to XMPP were held.

The videos for the FOSDEM presentations have been released:

* [XMPP Beyond Instant Messaging](https://fosdem.org/2019/schedule/event/xmpp_beyond_im/)

In this talk Jérôme Poisson (Goffi) shows how XMPP can be used to build non-IM
applications, such as a blog engine, file sharing, a code forge, a universal remote
controller and even a decentralized web framework on top of XMPP.

* [Salut à Toi: A Python Based Social Network And More](https://fosdem.org/2019/schedule/event/python_salut_a_toi_network/)

Jérôme Poisson talks about Salut à Toi, a Python-based decentralized communication ecosystem
which uses XMPP and offers a lot of features like chat, e2e encryption, file sharing, photo
albums, events, (micro)blogging, forums, remote control, tickets,
merge-requests and even a decentralized web framework.

* [Make XMPP Sprint Again](https://fosdem.org/2019/schedule/event/xmpp_sprint/)

Maxime Buquet (pep.) talks about how he organized the August 18-19th XMPP
community sprint in Cambridge and gives useful advice to anyone interesting in
organising community events such as development sprints.

* [Unified Communications with Pàdé](https://fosdem.org/2019/schedule/event/pade/)

Dele Olajide talks about Pàdé, a new unified communications solution from the
ignite Real-time community that integrates protocols such as SIP, HTTP and XMPP
into one desktop solution for text, voice and video communication.

* [Converse: Open, federated teamchat with XMPP](https://fosdem.org/2019/schedule/event/converse_xmpp/)

JC Brand talks about Converse.js, a JavaScript XMPP chat client that runs in
the browser and which saw lots of improvements in 2018, including a new
fullscreen teamchat mode.

<form style="padding: 10px; text-align:center; margin-bottom: 30px;"
      action="https://tinyletter.com/xmpp" method="post" target="popupwindow"
      onsubmit="window.open('https://tinyletter.com/xmpp', 'popupwindow',
      'scrollbars=yes,width=800,height=600');return true">
<p><label for="tlemail">Subscribe to receive the next edition in your inbox</label></p>
<p><input type="text" placeholder="Email address" name="email" id="tlemail" /></p>
<input type="hidden" value="1" name="embed"/>
<input type="submit" style="padding: 10px; border-radius: 5%" value="Subscribe" />
</form>

### Other news

[Process One have rebranded and expanded their ejabberd software-as-a-service
platform](https://blog.process-one.net/introducing-fluux-xmpp-mqtt-as-a-service/) and renamed it to [Fluux](https://fluux.io/).

The iOS and OS X client [Monal, has been removed from the French app store](https://monal.im/blog/omemo-and-french-laws/)
because the developer can't distribute Monal with OMEMO in France without
government approval.

The [Monal push service has received an update](https://monal.im/blog/resolving-push-with-ejabberd/) intended to fix an
interoperability bug with Ejabberd services.

## Software releases

## Clients

* Converse.js [4.1.1](https://github.com/conversejs/converse.js/releases/tag/v4.1.1) and [4.1.2](https://github.com/conversejs/converse.js/releases/tag/v4.1.2)
* OpenFire Meetings [0.9.5](https://discourse.igniterealtime.org/t/openfire-meetings-v0-9-5-released/84150)
* OpenFire inVerse plugin [4.1.2](https://discourse.igniterealtime.org/t/openfire-inverse-plugin-4-1-2-release-1-now-available/84355)
* Slixmpp-omemo [first release](https://blog.bouah.net/2019/02/slixmpp-gets-omemo-support/)

## Servers

* Ejabberd [19.02](https://blog.process-one.net/ejabberd-19-02-the-mqtt-edition/) (nice writeup of what they call the MQTT edition).
* Tigase [8.0.0 RC1](https://tigase.net/blog-entry/tigase-xmpp-server-800-rc1-first-release-candidate)

## Libraries

* Smack [4.3.2](https://discourse.igniterealtime.org/t/smack-4-3-2-released/84342)
