---
title: XMPP Newsletter, 08 Nov 2019, Sprints, IoT, and early Twitter
save_as: 2019/11/newsletter-08-november/index.html
url: 2019/11/newsletter-08-november/
date: 2019-11-08 13:00
author: nyco
blog_id: newsletter
category: Newsletter
---

Welcome to the XMPP newsletter covering the month of October 2019.

This is a community effort, and [the process is fully documented](https://wiki.xmpp.org/web/News_and_Articles_for_the_next_XMPP_Newsletter): please help us spread the word, share this newsletter.

## Articles

QuickBlox has written a blog post about [the use of XMPP in 2019](https://quickblox.com/blog/why-quickblox-choose-xmpp-protocol/).

![Quickblox examples](https://quickblox.com/wp-content/uploads/2019/10/xmpp-body.png)

Martin aka debacle wrote an short piece about [Dino and other updated software](https://xmpp-team.pages.debian.net/blog/2019/10/dino-with-jet-and-bookmarks2.html) in Debian.

Ben Kwiecien rediscovered XMPP after years and [compared ejabberd and Prosody](https://kwiecien.us/archives/2019/10/16/ejabberd_vs__prosody/index.html) in setting up a mobile friendly server.

Neetesh Mehrotra wrote about XMPP as a [Communication Protocol for the IoT](https://opensourceforu.com/2019/10/xmpp-a-communication-protocol-for-the-iot/), comparing it to MQTT and HTTP.

Jon Erlichman published a photo of an early sketch of Twitter in 2005 by Jack Dorsey... which features [Jabber at the core](https://twitter.com/JonErlichman/status/1191369676531621888).

![Jack Dorsey's 2005 Twitter](https://pbs.twimg.com/media/EIiYZ8PXkAYuf5Y?format=jpg&name=900x900)

And last but not least, there are translations everywhere! The newsletter for the last month has been translated in [German](https://www.jabber.de/xmpp-newsletter-01-oktober-2019-fosdem-2020-modernisierung-von-xmpp-peer-networks/) and [Spanish](https://www.jabber.de/xmpp-newsletter-01-de-octubre-de-2019-fosdem-2020-modernizacion-de-xmpp-peer-networks/)!

## Tutorials

Erlang Solutions republished their tutorial on how to [build a complete iOS messaging app using XMPPframework](https://www.erlang-solutions.com/blog/build-a-complete-ios-messaging-app-using-xmppframework-tutorial-part-1.html), with its [part 2](https://www.erlang-solutions.com/blog/build-a-complete-ios-messaging-app-using-xmppframework-part-2.html).

## Events

The pace of local meetings and sprints is still high within the XMPP community.

pep tells us the story of the "[Sprint in the cold north](https://bouah.net/2019/10/sprint-in-the-cold-north/)", with sauna and crêpes, working on new groupchat bookmarks specification, file transfer interoperability issues, and a future landing page for new XMPP users.

![Stockholm](https://bouah.net/2019/10/stockholm.jpg)

## Software releases
          
### Servers

Erlang Solutions has released MongooseIM 3.5.0 ([go check the changelog](https://github.com/esl/MongooseIM/releases/tag/3.5.0)), and published an article on [GDPR in instant messaging](https://www.erlang-solutions.com/blog/mongooseim-designed-with-privacy-in-mind.html).

This month the Ignite Realtime community has released:

* [Openfire 4.4.3](https://discourse.igniterealtime.org/t/openfire-4-4-3-release/)
* [inVerse Openfire plugin 5.0.4.1](https://discourse.igniterealtime.org/t/inverse-openfire-plugin-5-0-4-1-released)
* [User Status Openfire plugin 1.2.2](https://discourse.igniterealtime.org/t/user-status-openfire-plugin-1-2-2-released)
* [HTTP File Upload plugin 1.1.1](https://discourse.igniterealtime.org/t/http-file-upload-plugin-1-1-1-released/86563)

Marek Foss has announced [ejabberd 19.09.1](https://blog.process-one.net/ejabberd-19-09-1/).

### Clients and applications

Apps for users have been updated:

* [Pàdé 1.4.0](https://discourse.igniterealtime.org/t/pade-1-4-0-released/86232)
* [BeagleIM 3.3 and Siskin IM 5.3](https://tigase.net/blog-entry/beagleim-33-and-siskin-im-53-released)
* [Conversations 2.5.12](https://github.com/siacs/Conversations/releases/tag/2.5.12)

Salut à Toi progress notes for [week 42](https://www.goffi.org/b/SwbEdDJyy5udRTzvVCbaND/progress-note) and [week 44](https://www.goffi.org/b/iY6WhxWD7Qkv5ew6VbYSPG/progress-note) have been published.

### Libraries

QXmpp has been released in versions [1.0.1](https://github.com/qxmpp-project/QXmpp/blob/stable/CHANGELOG.md#qxmpp-101-oct-14-2019) and [1.1.0](https://github.com/qxmpp-project/qxmpp/blob/stable/CHANGELOG.md#qxmpp-110-oct-23-2019).

## Extensions and specifications

### Last Call

Title: XMPP Compliance Suites 2020

Abstract: This document defines XMPP application categories for different use
cases (Core, Web, IM, and Mobile), and specifies the required XEPs
that client and server software needs to implement for compliance with
the use cases.

URL: https://xmpp.org/extensions/xep-0423.html

### Updated

* Version 0.5.0 of XEP-0405 (Mediated Information eXchange (MIX): Participant Server Requirements) has been released.
* Version 0.3.0 of XEP-0402 (Bookmarks 2 (This Time it's Serious)) has been released.

## Thanks all!

This XMPP Newsletter is produced collaboratively by the community.

Thanks to Nyco, MDosch, Daniel, Guus, Link Mauve, and mwild1 for their help in creating it!

Please follow our Twitter account [@xmpp](https://twitter.com/xmpp), and relay the XMPP news.

## License

This newsletter is published under CC by-sa license: https://creativecommons.org/licenses/by-sa/4.0/

## Subscribe by email

<form style="padding: 10px; margin-bottom: 30px;"
      action="https://tinyletter.com/xmpp" method="post" target="popupwindow"
      onsubmit="window.open('https://tinyletter.com/xmpp', 'popupwindow',
      'scrollbars=yes,width=800,height=600');return true">
<p><label for="tlemail">Subscribe to receive the next edition in your inbox</label></p>
<p>
<input type="text" placeholder="Email address" name="email" id="tlemail" style="padding: 5px; border-radius: 5%" />
<input type="hidden" value="1" name="embed"/>
<input type="submit" style="padding: 5px; border-radius: 5%" value="Subscribe" />
</p>
</form>

See you next month!
