---
title: XMPP in all languages! 03 Dec 2019
save_as: 2019/12/newsletter-03-december/index.html
url: 2019/12/newsletter-03-december/
date: 2019-12-03 15:00
author: nyco
blog_id: newsletter
category: Newsletter
---

Welcome to the XMPP newsletter covering the month of November 2019.

Help us sustain this as a community effort, of which [process is fully documented](https://wiki.xmpp.org/web/News_and_Articles_for_the_next_XMPP_Newsletter).

## Articles 

Edivaldo Brito has written in Portugese "[Como instalar o moderno cliente Jabber/XMPP Dino no Linux via Snap](https://www.edivaldobrito.com.br/cliente-jabber-xmpp-dino-no-linux/)" ("How to install the modern Jabber/XMPP Dino client on Linux via Snap").

![Dino](https://framapic.org/OewIIui3hyiP/UiRW9IhRFoBF.png)

Last month, the XMPP newsletter has been translated by community members:

* French: [Lettre d’information XMPP, 8 novembre 2019, sprints, IoT et le début de Twitter](https://linuxfr.org/news/lettre-d-information-xmpp-8-novembre-2019-sprints-iot-et-le-debut-de-twitter)
* German: [XMPP Newsletter, 08. November 2019, Sprints, IoT und die Anfänge von Twitter](https://www.jabber.de/xmpp-newsletter-08-november-2019-sprints-iot-und-die-anfaenge-von-twitter/)
* Spanish: [XMPP Newsletter, 08 Nov 2019, Sprints, IoT, y los primeros Twitter](https://www.jabber.de/es-xmpp-newsletter-08-nov-2019-sprints-iot-y-los-primeros-twitter/)

We are extremely grateful for these contributions! If you can contribute a translation in your own language, please [contact the CommTeam](https://xmpp.org/about/xsf/comm-team.html).

## Software releases
          
### Servers 

The Ignite Realtime community has released:

* [Openfire 4.4.4](https://discourse.igniterealtime.org/t/openfire-4-4-4-release/)
* [HTTP File Upload plugin 1.1.2](https://discourse.igniterealtime.org/t/http-file-upload-plugin-1-1-2-released/) and [1.1.3](https://discourse.igniterealtime.org/t/http-file-upload-plugin-1-1-3-released/)
* [inVerse Openfire plugin 5.0.5.1](https://discourse.igniterealtime.org/t/inverse-openfire-plugin-5-0-5-1-released/)

[Metronome IM v3.13.0](https://github.com/maranda/metronome/releases/tag/v3.13.0) has been released, read the [changelog](https://metronome.im/changelogs/3_13).

### Clients and applications 

[Movim 0.16 – Cesco](https://nl.movim.eu/?node/pubsub.movim.eu/Movim/e10a8998-5e4d-4b52-9b9e-2f103b446d94) has been released, with Drawing and content sharing, Attachments, Chat improvements, and Chats, chatrooms list improvements, and Search, plus more.

![Movim](https://framapic.org/MpaQpln0M7mL/1AFfnM3dAifa.png)

[gajim.org](https://gajim.org) features a new website. It is planned to publish a post about Gajim's development every month, starting with [October](https://gajim.org/post/2019-11-06-development-news-october/) and [November](https://gajim.org/post/2019-11-25-development-news-november/).

SàT lead developer Goffi has published his [progress note 2019-W48](https://www.goffi.org/b/R5PeQUPBCSZWvabRNXtAE9/progress-note).

[Conversations 2.6.0](https://github.com/siacs/Conversations/releases/tag/2.6.0) has been released.

[Converse.js 5.0.5](https://github.com/conversejs/converse.js/releases/tag/v5.0.5) has been released.

### Libraries 

xmpp.js has been released in versions [0.9.0](https://github.com/xmppjs/xmpp.js/releases/tag/v0.9.0) and [0.9.1](https://github.com/xmppjs/xmpp.js/releases/tag/v0.9.1).

Process One has announced the released of [go-xmpp 0.3.0](https://blog.process-one.net/go-xmpp-0-3-0/).

## Extensions and specifications

This month, nothing in Last Call, Proposed, Obsoleted.

#### Message Retraction 

Version 0.1.0 of XEP-0424 (Message Retraction) has been released.

Abstract:
This specification defines a method for indicating that a message
should be retracted.

Changelog:
Accepted by vote of Council on 2019-10-23. (XEP Editor (jcb))

URL: https://xmpp.org/extensions/xep-0424.html

#### Message Moderation 

Version 0.1.0 of XEP-0425 (Message Moderation) has been released.

Abstract:
This specification defines a method for groupchat moderators to
moderate messages.

Changelog:
Accepted by vote of Council on 2019-10-16. (XEP Editor (jcb))

URL: https://xmpp.org/extensions/xep-0425.html

### Updated 

* Version 1.23.1 of XEP-0001 (XMPP Extension Protocols) has been released.
* Version 1.17.0 of XEP-0060 (Publish-Subscribe) has been released.
* Version 1.0.1 of XEP-0076 (Malicious Stanzas) has been released.
* Version 1.1.4 of XEP-0084 (User Avatar) has been released.
* Version 1.0.1 of XEP-0158 (CAPTCHA Forms) has been released.
* Version 0.3.0 of XEP-0423 (XMPP Compliance Suites 2020) has been released.
* Version 0.2 of XEP-0328 (JID Preparation and Validation Service) has been released.
* Version 0.3 of XEP-0372 (References) has been released.
* Version 0.7.0 of XEP-0392 (Consistent Color Generation) has been released.
* Version 0.2.0 of XEP-0393 (Message Styling) has been released.
* Version 1.1.0 of XEP-0410 (MUC Self-Ping (Schrödinger's Chat)) has been released.
* Version 0.2.0 of XEP-0420 (Stanza Content Encryption) has been released.

## Thanks all! 

This XMPP Newsletter is produced collaboratively by the community.

Thanks to Nyco, Guus, Wurstsalat, MDosch, Neustradamus, Ppjet6 for their help in creating it!

Please share the news on "social networks":

* Twitter: [https://twitter.com/xmpp](https://twitter.com/xmpp)
* Mastodon: [https://fosstodon.org/@xmpp/](https://fosstodon.org/@xmpp/)
* LinkedIn: [https://www.linkedin.com/company/xmpp-standards-foundation/](https://www.linkedin.com/company/xmpp-standards-foundation/)
* Facebook: [https://www.facebook.com/jabber/](https://www.facebook.com/jabber/)
* Reddit: [https://www.reddit.com/r/xmpp/](https://www.reddit.com/r/xmpp/)

## License 

This newsletter is published under CC by-sa license: [https://creativecommons.org/licenses/by-sa/4.0/](https://creativecommons.org/licenses/by-sa/4.0/)
