---
title: Return of experience on XMPP meetup in Krakow
date: 2017-09-28 11:29
author: Nÿco
blog_id: blog
category: Events
---

In May of 2017 a meetup was organized in Krakow, Poland. We announced it on the [XSF blog](https://xmpp.org/2017/04/first-krakow-xmpp-meetup/), and [on meetup.com](https://www.meetup.com/XMPP-Jabber-Messaging-Krakow/events/239508291/) (also a few social networks).  The response from the XMPP/Jabber community was very positive, as we were fresh off the heels of FOSDEM and many members had just recently met at the XMPP Summit.

## Philosophy & goals

Firstly, it was a cooperation between Tigase and MongooseIM. Both organizations provide open source XMPP server software and bring professional expertise to the protocol and its ecosystem.  However, we wanted it to be a humble and rapidly organized meetup, rather than a meticulously planned event. The meeting was planned with the adage 'done is better than perfect' in mind. The ultimate goal of the meetup was to meet colleagues of the XMPP and Jabber community, brainstorm, and overall improve communication between users and developers of the protocol.  An additional benefit from the meeting so soon after the Summit was to strengthen the trend and popularity of XMPP meetups in the European Union.

## Speakers and presentations

Two speakers from Erlang Solutions and one from Tigase were on hand to make presentations.

Andrzej Wojcik of Tigase gave a presentation titled "Why use XMPP for IoT?". It was a factual comparison, efficient and straight to the point, as to why other options do not provide a proper solution. The alternatives, such as HTTP, AMQP, MQTT all have their advantages, but none bring a global solution as exhaustive as XMPP's. A demonstration was shown of a proof-of-concept of IoT devices being controlled via XMPP commands.

![Andrzej Wojcik of Tigase](/images/blog/Andrzej_Wojcik_Tigase.jpg)

Szymon Mentel from Erlang Solutions, exposed the "ICE, STUN, and TURN" open standards implemented in MongooseICE, an open source server written in Elixir. The demo showed a movie and a camera stream from a Raspberry Pi. The stream was provided using Mangosta Android software, an open source XMPP client.

![Szymon Mentel from Erlang Solutions](/images/blog/Szymon_Mentel_MongooseIM.jpg)

Piotr Nosek from Erlang Solutions, interacted with the audience around "Fantastic XMPP use-cases", showing the near-complete feature coverage of the open standards protocol and exploring what's missing or could be improved.  We hope that this discussion led to participant brainstorming and even more use cases for the protocol.

![Piotr Nosek from Erlang Solutions](/images/blog/Piotr_Nosek_MongooseIM.jpg)

## Feedback and outcome

We received nice feedback from all attendees, all were happy to have attended. There were some interesting question and answers following the presentation.  Followup discussions indicated that participants were engaged and were eager to contribute to the session.  It’s clear that these meetups can be far more engaging than a traditional chat session.  Being physically present seems to bring more wild and bright ideas to the front.

![Audience of the XMPP Meetup Krakow](/images/blog/XMPP_meetup_Krakow.jpg)

After the meetup, we all went in an underground bar to share some stories and beverages, near the old market square in the city center of Krakow.  It is hoped that this post-meetup tradition can be continued for the next session.  Ideally we’d like to host another in the autumn, please suggest topics and times and share your thoughts with us!

Follow us on [https://www.meetup.com/XMPP-Jabber-Messaging-Krakow/](https://www.meetup.com/XMPP-Jabber-Messaging-Krakow/)
